"use strict";
/**
 * 初始化客户端信息,需要在程序开始的地方调用
 */
function initClientInfo() {
    var u = navigator.userAgent;
    // 类型
    if (u.indexOf('appType/') > -1) {
//        sessionStorage.setItem("appType", u.);
        var temp = u.substr(u.indexOf('appType/') + 8, u.length);
        sessionStorage.setItem("appType", temp.substr(0, temp.indexOf(' ')));
    }
    
    // 应用版本
    if (u.indexOf('appVersion/')>-1) {
        var temp = u.substr(u.indexOf('appVersion/') + 11, u.length);
        sessionStorage.setItem("appVersion", temp.substr(0, temp.indexOf(' ')));
    }
    
    // 设备型号
    if (u.indexOf('deviceModel')>-1) {
        var temp = u.substr(u.indexOf('deviceModel/') + 12, u.length);
        sessionStorage.setItem("deviceModel", temp.substr(0, temp.indexOf(' ')));
    }
    
}

/**
 * 获取应用类型
 * 'hybird' 'web' 'native'
 */
function getAppType() {
    return sessionStorage.getItem('appType');
}

// /**
//  * 获取应用版本
//  */
// function getAppVersion() {
//     return sessionStorage.getItem('appVersion');
// }

/**
 * 获取设备型号
 */
function getDeviceModel() {
    return sessionStorage.getItem('deviceModel');
}

/**
 * 判断是否是混合模式应用
 * @returns {boolean} true 是手机web view app
 */
function isHybirdApp() {
    return 'hybird' === getAppType();
}

/**
 * 设置机顶盒的stbSerialNumber
 * @param stbSerialNumber
 */
function setStbSerialNumber(stbSerialNumber) {
    sessionStorage.setItem("stbSerialNumber", stbSerialNumber);
    setCookie('device_sn', stbSerialNumber, 6);
}

/**
 * 获取机顶盒的stbSerialNumber
 */
function getStbSerialNumber() {
    return sessionStorage.getItem('stbSerialNumber');
}

/**
 * 设置机顶盒的stbSerialNumber
 * 由手机调用
 * @param stbSerialNumber
 */
function m_setStbSerialNumber(stbSerialNumber) {
    setStbSerialNumber(stbSerialNumber);
    setCookie('device_sn', stbSerialNumber, 6);
}

