"use strict";
function requestOperationOnComplete(isSuccess, data) { } //回调

//D000验证，获取有效IP地址
function dataCenterVerification(requestOperationOnComplete) {
    userIdentityInfoVerify(function (isSuccess) {
        requestOperationOnComplete(isSuccess, null);
    })
}

//页面跳转
function changePage(pageName, slideType) {
    wx_changePage(pageName, 'none');
}

//我-切换新版按钮
function switchNewVersionBtnClick() {
    mobile_switchNewVersionBtnClick();
}

//获取顶部活动列表
function requestTopActivityData(requestOperationOnComplete) {
    getTopActivityList();
}

//获取首页热门歌曲列表
function requestHotSongsData(startPos, num, requestOperationOnComplete) {
    if (mobile_isBoxBinded() && mobile_isOfflineStb()) {
        mobile_getMainOfflineHotSongList();
        return 0;
    } else {
        getPlaylistSongs(startPos, num, function (data) {
            if (requestOperationOnComplete && requestOperationOnComplete instanceof Function) {
                requestOperationOnComplete(data);
            } else {
                processHotSongListData_mainPage(data);
            }
        });
    }
}

// 获取热门歌单
function requestHotPlaylistsData(startPos, num, requestOperationOnComplete) {
    getSongLists(startPos, num, function (data) {
        requestOperationOnComplete(true, data);
    });
}


/**
 * 获取热门歌星列表
 * @param songstertypeid    歌星类型id
 * @param letter            字母索引    
 */
function requestHotSingerListsData(startPos, num, songstertypeid, letter, requestOperationOnComplete) {
    if (mobile_isBoxBinded() && mobile_isOfflineStb()) {
        // 已绑定盒子
        // 离线数据库
        mobile_getOfflineSingerList(startPos, num, songstertypeid, letter);
    } else {
        getSingerList(startPos, num, songstertypeid, letter, function (data) {
            requestOperationOnComplete(true, data);
        });
    }

}

//获取歌星类型列表
function requestHotSingertypeData(startPos, num, requestOperationOnComplete) {
    if (mobile_isBoxBinded() && mobile_isOfflineStb()) {
        // 已绑定盒子
        // 离线数据库
        mobile_getOfflineSingerTypeList(startPos, num);
    } else {
        getSingerTypeList(startPos, num, function (data) {
            requestOperationOnComplete(true, data);
        });
    }
}

/**
 * 统一歌曲列表, 歌单， 排行， 歌手歌曲, 热门歌曲 etc..D332 D544 D366
 * @param  e.g. '{"cmdid":"D332","tid":"' + listId + '","startpos":"1","requestnum":"20"}'
 */
function requestSongListData(param, requestOperationOnComplete) {
    if (mobile_isBoxBinded()) {
        // 局域网已绑定
        var json = JSON.parse(param);
        var cmdid = json.cmdid;
        var songsterid = json.songsterid;
        if (mobile_isOfflineStb()) {
            // 离线曲库 歌星歌曲
            if (cmdid === 'D544' && songsterid) {
                // 获取机顶盒歌星歌曲列表
                void 0;
                mobile_getOfflineSongList(param);
                return;
            }
            getSongListData(param, function (data) {
                if (data.errorcode === 0 && parseInt(data.rs.return) > 0) {
                    mobile_getOfflineSongList(JSON.stringify(data));
                } else {
                    getSongSuccseeFunction(data, null);
                }
                requestOperationOnComplete(true);
            });
            return;
        } else {
            void 0;
            if (cmdid === 'D544' && songsterid) {
                // 获取机顶盒歌星歌曲列表
                mobile_getStbSingerSongList(songsterid, json.startpos, json.requestnum);
                return;
            }
        }
    }
    getSongListData(param, function (data) {
        getSongSuccseeFunction(data, null);
        requestOperationOnComplete(true);
    });

}
//歌曲分类页面,请求歌曲类型
function getSongCategory() {
    if (mobile_isBoxBinded() && mobile_isOfflineStb()) {
        // 局域网已绑定
        // 离线曲库
        mobile_getSongCategory('{"cmdid":"sn_song_rank_category"}');
        return;
    }
    requestSongCategory();
}
//歌曲分类页面,请求某类歌曲
function requestCategorySongs(index, startPos, isreload) {
    if (mobile_isBoxBinded() && mobile_isOfflineStb()) {
        // 局域网已绑定
        // 离线曲库
        var param = '{"cmdid":"sn_song_type","languagetype":' + songCategory[index].languagetype + ',"startpos":"' + startPos + '","requestnum":"20"}';
        mobile_getOfflineSongList(param);
        return;
    }
    requestSongsOfCategory(index, startPos, isreload);
}
//获取排行榜列表数据
function requestRankListData(startPos, num, requestOperationOnComplete) {
    requestRankList(startPos, num, function (data) {
        processRankListData(data);
        requestOperationOnComplete();
    });
}

//控制播放
function requestControlDeviceOperation(controlType, controlValue, controlStyle, requestOperationOnComplete) {
    var songid = controlValue.replace(/(^\s*)|(\s*$)/g, '');
    songid = songid.replace(/\s/g, '');
    if (sessionStorage.getItem("isConnected") == 'true') {
        // 已绑定
        if (mobile_isBoxBinded()) {
            // 局域网绑定,走本地方法
            mobile_controlOperation(controlType, songid, controlStyle);
        } else {
            // 广域网绑定,走广域网的操作方法
            controlOperation(controlType, songid, controlStyle);
        }
    } else {
        // 未绑定
        var connectType = mobile_getConnectType();
        if (connectType == 0 || controlStyle == 'song_order') {
            // 移动网络或者是点歌操作
            showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
        } else {
            // 其他情况调用本地方法显示用户绑定机顶盒对话框
            mobile_showConnectDeviceDialog();
        }
    }
}

//请求已点已唱数据   isForOrder  true-已点 false-已唱
function requestSongOrderSungOperation(isForOrder, startPos, num, requestOperationOnComplete) {
    if (isHybirdApp()) {
        // if (mobile_isBoxBinded()) {
        //     mobile_getSongOrderdOrSungList(isForOrder)
        // } else {
        //     // getSongOrderdOrSungList(isForOrder);
        // }
        if (sessionStorage.getItem("isConnected") == 'true') {
            if (mobile_isBoxBinded()) {

            } else {
                getSongOrderdOrSungList(isForOrder);
            }
        }

    } else {
        getSongOrderdOrSungList(isForOrder);
    }
}

//根据关键词搜索歌星,歌曲
function searchSingersData(key, start, num, requestOperationOnComplete) {
        if (mobile_isBoxBinded()) {
            // 局域网已绑定
            if (mobile_isOfflineStb()) {
                // 从离线数据库获取
                mobile_searchOfflineSingerWithKey(key, start, num);
                return;
            } else {
                // 从机顶盒获取
                mobile_searchStbSingerWithKey(key, start, num);
                return;
            }
        }
        searchSingerAjax(key, start, num, function (data) {
            searchSuccseeFunction(data, null);
            searchSongWithKey(key, start, num, function (data) {
                searchSuccseeFunction(data, status);
                requestOperationOnComplete(true);
            });
        });
}

//搜索歌曲
function searchSongsData(key, start, num, requestOperationOnComplete) {
        if (mobile_isBoxBinded()) {
            // 局域网已绑定
            if (mobile_isOfflineStb()) {
                // 从离线数据库获取
                mobile_searchOfflineSongsWithKey(key, start, num);
                return;
            } else {
                // 从机顶盒获取
                mobile_searchStbSongsWithKey(key, start, num);
                return;
            }
        }
        searchSongWithKey(key, start, num, function (data) {
            searchSuccseeFunction(data, status);
        });
}

//机顶盒断开弹出窗口-点击确定
function commonDialogPopupConfirm() {
        if (mobile_isBoxBinded()) {
            // 局域网绑定,弹出本地绑定界面
            // mobile_showBindView();
            deviceConnection();
        } else {
            wx_dialogPopup();
        }
}

//用户信息保存
function savaUserInfo(changeNick,callBack) {
    modifyUserInfo(changeNick,callBack);
}

//用户账户数据保存
function saveUserLoginInfo(account, password, accountType, isThird) {
        mobile_saveUserLoginInfo(account, password, accountType, isThird);
}

/**
 * 更新用户信息
 * @param nickName
 * @param avatarUrl
 * @param birthDay
 * @param sex
 * @param userId
 */
function updateUserInfo(nickName, avatarUrl, birthDay, sex, userId) {
    mobile_updateUserInfo(nickName, avatarUrl, birthDay, sex, userId);
}

//退出登录
function userLogoutFinish() {
        mobile_logoutFinish();
}

//头像点击事件
function userAvatarClicked() {
    mobile_setUserPortrait();
}

//关于多唱，显示APP版本号
function setAppVersion() {
        var m_version = getAppVersion();
        wx_setAppVersion(m_version);
}

// 下载多唱APP改为软件更新-需提供公共入口
function updateAppEntry() {
        setEntryTitle($.i18n.prop('p_user_setting_change_update'));
}

//点击APP更新
function enterAppEntry() {
    mobile_checkForUpdate();
}

//检查WIFI - 1  蜂窝网络 - 0  其他
function detectConnectTypeChanged() {
    m_connectTypeChanged(mobile_getConnectType());
}

//连接设备
function deviceConnection() {
        // 网络类型判断
        var type = mobile_getConnectType();
        var sdk = mobile_getAndroidSDK();
        void 0;
         // FIXME: 2020/3/30 去掉自动发现功能 by-lfh
         mobile_showScanView();
        // Android 9.0 取消设备发现功能
//        if (type == 1 && sdk < 28) {
//            // wifi
//            //console.info("mobile show bind view");
//            mobile_showBindView();
//        } else {
//            // mobile
//            //console.info("show scan view");
//            mobile_showScanView();
//        }
        // else {
        //     // 未连接,提示
        //     showInformMessage('error', $.i18n.prop('t_network_unavailable_please_check_settings'), 2500);

        // }
}

/**
 * 已点界面切歌
 * @param songid
 */
function selectedViewCutSong(songid) {
       
        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定
                mobile_selectedViewCutSong(songid);
            } else {
                // 广域网绑定
                orderListQiege();
            }
        } else {
            // 未绑定
            showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
        }

}

/**
 * 已点界面顶歌
 * @param songid
 */
function selectedViewTopSong(songid, flow_id) {

    console.log('click top song flow id === ' + flow_id);
        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定
                mobile_selectedViewTopSong(songid, flow_id);
            } else {
                // 广域网绑定
                // orderListQiege();
                controlOperation(41, songid, 'control_flow_id', flow_id);
            }
        } else {
            // 未绑定
            showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
        }
}
/**
 * 已点界面删歌
 * @param songId
 */
function selectedViewDelSong(songId,KeyType, flow_id) {

        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定
                mobile_selectedViewDelSong(songId,KeyType, flow_id);
            } else {
                // 广域网绑定
                controlOperation(42, songId, 'control_flow_id', flow_id);
            }
        } else {
            // 未绑定
            showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
        }

}
/**
 *已唱界面 点歌 
 */
function songSungListAddSong(songID) {

        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定
                mobile_songSungViewAddSong(songID);
            } else {
                // 广域网绑定
                controlOperation(40, songID, 'song_order', '');
            }
        } else {
            // 未绑定
            showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
        }
}
function songSungListTopSong(songid) {

    if (sessionStorage.getItem("isConnected") == 'true') {
        // 已绑定
        if (mobile_isBoxBinded()) {
            // 局域网绑定
            mobile_songSungViewTopSong(songid);
        } else {
            // 广域网绑定
            controlOperation(41, songid, 'song_order', '');
        }
    } else {
        // 未绑定
        showInformMessage('error', $.i18n.prop('t_device_not_binded_yet'), 3500);
    }
}
/**
 * 获取app版本号
 */
function getAppVersion() {
        return mobile_getAppVersion();
}

/**
 * 请求已唱下一页数据
 */
function requestSungNextPageData() {
        if (mobile_isBoxBinded()) {
            mobile_requestSungNextPageData();
        }
}

/**
 * 连接设备点击事件
 */
function connectDeviceClick() {

        mobile_showBindView();
}
function sendEmoji(index) {
        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定,走本地方法
                mobile_sendEmoji(index);
            } else {
                // 广域网绑定,走广域网的操作方法
                //              controlOperation(controlType, songid, controlStyle);
            }
        } else {
            mobile_showConnectDeviceDialog();
        }
    
}
function sendPic(isCamera) {
       
        if (sessionStorage.getItem("isConnected") == 'true') {
            // 已绑定
            if (mobile_isBoxBinded()) {
                // 局域网绑定,走本地方法
                mobile_sendPic(isCamera);
            } else {
                // 广域网绑定,走广域网的操作方法
                //              controlOperation(controlType, songid, controlStyle);
            }
        } else {
            mobile_showConnectDeviceDialog();
        }
}
//首页扫码按钮
function scanBtnClick() {
    mobile_scanBtnClick();
}
//我的作品 分享
function userShareToThirdPlatformWithParam(shareUrl, albumUrl, songName, singerName, score) {
        mobile_userShare(shareUrl, albumUrl, songName, singerName, score);
}
//上传歌曲
function uploadSongSung(sharecode, conpleteBlock) {
    void 0;
    if (sessionStorage.getItem(DC_uploadSong) == '0') {
        void 0;
        mobile_uploadSongSung(sharecode);
    }
    else {
        void 0;
        uploadSongSungTo_DC_Datacenter(sharecode, conpleteBlock)
    }
}

//百度统计JS方法
function baiduStatisticCount(page, action, actionName) {
    if(_hmt) {
        console.log('count baidu stat ' + page + action + actionName);
        _hmt.push(['_trackEvent', page, action, actionName, '']);
    }
}
