"use strict";
var pageName = ['page_home', 'page_singer', 'page_playList','page_rank','page_search','page_songCategory'];

var arr_pages;

/**
 * 初始化页面是否需要刷新
 * @param  isReload : true  需要刷新，  false 无需刷新
 * 格式 [{'pageName':'page_home', 'isRefreshPage', true}, {'pageName':'page_singer', 'isRefreshPage', true}]
 */
function initialisePagesStatus(isReload) {
    arr_pages = [];

    for (var i = 0; i < pageName.length; i++) {
        var page = {
            "pageName": pageName[i]
            , "isRefreshPage": isReload
        };
        arr_pages.push(page);
    }
}

/**
 * 获取某一页面是否需要刷新 
 * @param  e.g pageName:'page_home'  
 */
function getPageReloadStatus(pageName) {
    for (var i = 0; i < arr_pages.length; i++) {
        if (arr_pages[i]['pageName'] === pageName) {
            return arr_pages[i]['isRefreshPage']
        }
    }
}

/**
 * 设置某一页面是否刷新
 * @param  e.g pageName:'page_home'    status:true  - 需要刷新
 */
function setPageReloadStatus(pageName, status) {
    for (var i = 0; i < arr_pages.length; i++) {
        if (arr_pages[i]['pageName'] === pageName) {
            arr_pages[i]['isRefreshPage'] = status;
            break;
        }
    }
}


/**
 * app  config value
 * @type {string}
 */
//http request common key value
var header_product_key = 'Product-Information';
var header_product_value='kmbox/2.8.0/1/iphone/1.5.5';
var header_device_sn_key='stbserialnumber';
var dataCenterUrl;
var domainName;
var viDataCenterUrl;
var osDataCenterUrl;
var apiUrl;
var eyeshareUrl;
//相对路径


// header_product_value='kmbox/2.8.0/1/iphone/1.0'


if (deployServer === 1) {//开发
    dataCenterUrl = "http://develop.duochang.cc/compatible/";
    viDataCenterUrl = "https://yn.test.duochang.cc/km_data_center/home_ktv/indexyn.php?s=Services/Index";
    osDataCenterUrl = "https://testoutmobile.duochang.cc/login?country=os";
    domainName = "../home_ktv";
    apiUrl = "https://mobile-test.duochang.cc/api";
    eyeshareUrl = "https://static-test.duochang.cc/eye-share/index.html?share=record_id";
} else if (deployServer === 2) {//测试 https://testoutmobile.duochang.cc/login?country=os
    dataCenterUrl = "https://newtest1.duochang.cc/compatible/";
    viDataCenterUrl = "https://testoutmobile.duochang.cc/login";
    osDataCenterUrl = "https://testoutmobile.duochang.cc/login?country=os";
    domainName = "../home_ktv";
    apiUrl = "https://mobile-test.duochang.cc/api";
    eyeshareUrl = "https://static-test.duochang.cc/eye-share/index.html?share=record_id";
} else {
    dataCenterUrl = "https://api.duochang.cc/compatible/index/";
    viDataCenterUrl = "https://outmobile.duochang.cc/login";
    osDataCenterUrl = "https://outmobile.duochang.cc/login?country=os";
    domainName = "../../home_ktv";
    apiUrl = "https://mobile.duochang.cc/api";
    eyeshareUrl = "https://static.duochang.cc/eye-share/index.html?share=record_id";
}

console.log('current server ===11 ' +  deployServer + ' : ' +  dataCenterUrl);


// var dataCenterUrl = "http://120.25.153.196/km_data_center/home_ktv/Services/Index";
// var dataCenterUrl = "http://testapi.duochang.cc/compatible/";
// var dataCenterUrl = "http://api.duochang.cc/compatible/index/";
// var viDataCenterUrl = "http://yn.api.duochang.cc/km_data_center/home_ktv/indexyn.php?s=Services/Index";
// var viDataCenterUrl = "http://yn.test.duochang.cc/km_data_center/home_ktv/indexyn.php?s=Services/Index";
// var dataCenterUrl = "http://uc.api.duochang.cc/km_data_center/home_ktv/Services/Index"
//dc_phone/1.3.0/1.9.1/android/default
//kmbox/2.8.0/1/iphone/1.0

//机顶盒支持功能
var sy_feature = 'sy_feature';
var connect_userID = "connect_userID";
var WAN_songOrder = 'WAN_songOrder';
var DC_uploadSong = 'DC_uploadSong';
var DC_serverSwitch = 'DC_serverSwitch';
// var  languageCategory = 'languageCategory';
var isSupportRemote = 'isSupportRemote';
var isSupportAuth = "isSupportAuth";
var isSupportPhotoMV = 'isSupportPhotoMV';
var isSupportShutDown = 'isSupportShutDown';
var invalidBindcode = "-1";
var stbControlTimeout = 5000;

var JS_USER_CODE = 'USER_CODE'

var mock_url = 'https://dsn.apizza.net/mock/beb30024672ef3c54f46780c80df3014'

var docker_url = 'http://192.168.191.2/Services/Index/kmMobile'