"use strict";
var songDetailNum;
var userCollectionList = [];
//网络错误回调
function ajaxErrorCallback(xhr, textStatus, errorThrown) {
    if (xhr.readyState < 2) {
        showInformMessage('error', $.i18n.prop('t_network_fail'), 3500);
    } else if (textStatus === "timeout") {
        showInformMessage('error', $.i18n.prop("server_is_not_responding"), 3500);
    } else {
        showInformMessage('error', $.i18n.prop("network_error") + "-[" + xhr.status + "]", 3500);
    }
}
//回调
function PageChangeCallback(isLoadSuccess) { }

function PageChangeOnComplete(data_singer) { }

function analyseFileCompleteBlock(isSuccess, data) { }

function hideFooterTabSection() {
    // $('#foot_section').hide();
    $('#foot_section').css({
        'display': 'none'
    });
}

function showFooterTabSection() {
    // $('#foot_section').show();
    $('#foot_section').css({
        'display': ''
    });
}

function hideTopSearchSection() {
    $('#search_mainPage').css({
        'display': 'none'
    });
}

function showTopSearchSection() {
    $('#search_mainPage').css({
        'display': ''
    });
}

function  hideTopNavSection() {
    $('.nav_main_tab_top').css({
        'display': 'none'
    });
}

function showTopNavSection() {
    $('.nav_main_tab_top').css({
        'display': ''
    });
}

var hud = {
    success: 'success',
    loading: 'loading',
    error: 'error'
};

//消息提示
function showInformMessage(style, message, delaySec) {
    $("#ui_loader_circle").show();

    switch (style) {
        case "loading":
            {
                $("#img_inform").css("display", "none");
                $("#img_loading").css("display", "");
                $("#ui_loader_circle_text").text(message);
                break;
            }
        case "success":
            {
                $("#img_inform").attr("src", "./images/diange/success.png");
                $("#img_inform").css("display", "");
                $("#img_loading").css("display", "none");
                $("#ui_loader_circle_text").text(message);
                if (delaySec > 0) {
                    $("#ui_loader_circle").delay(delaySec).hide(0);
                } else {
                    $("#ui_loader_circle").delay(3000).hide(0);
                }

                break;
            }
        case "error":
            {
                $("#img_inform").attr("src", "./images/diange/error.png");
                $("#img_inform").css("display", "");
                $("#img_loading").css("display", "none");
                $("#ui_loader_circle_text").text(message);
                if (delaySec > 0) {
                    $("#ui_loader_circle").delay(delaySec).hide(0);
                } else {
                    $("#ui_loader_circle").delay(3000).hide(0);
                }
                break;
            }
        default:
            {
                break;
            }
    }
}

function hideInformMessage() {
    $("#ui_loader_circle").hide();
}

/**
 * 显示信息,由手机调用
 * @param style
 * @param message
 * @param delayTime
 */
function m_showInformMessage(style, message, delayTime) {
    showInformMessage(style, message, delayTime);
}

/**
 * 隐藏提示信息,由手机调用
 */
function m_hideInformMessage() {
    hideInformMessage();
}

//跳转页面
function wx_changePage(pageName, slideType) {
    $.mobile.changePage(pageName, {
        transition: slideType
    });
    return false;
}

//提示框
function showDialogAlert(msg) {
    $("#dialog_inform").show();
    $("#msg_inform").text(msg);
}

function hideDialogAlert() {
    $("#dialog_inform").hide();
}

//顶部扫描显示隐藏
function showScanAnimation() {
    $("#scanCodeTop").show();
    mobile_umengEventStat('bingdingbox_click_event', '绑定机顶盒');
    sessionStorage.setItem("isConnected", 'false');
}

function hideScanAnimation() {
    void 0;
    $('#scanCodeTop').hide();
    sessionStorage.setItem("isConnected", 'true');
}

/*
 * analyse and set multi language method
 */
var arr_field_keys = []; //save field keys once loaded

function analyseLanguageFile(completeBlock) {
    var arr_keys_content = [];
    $.get('./js/lang_file/strings.properties').success(function (content) {
        arr_keys_content = content.split('\n');
        // console.log('getting file content,' + arr_keys_content.length);
        if (arr_keys_content.length > 0 && arr_keys_content) {
            $.each(arr_keys_content, function (index, obj) {
                if (obj.length > 0) {
                    var str_tmp = obj.split('=');
                    if (str_tmp.length == 2 && str_tmp) {
                        arr_field_keys.push(str_tmp[0]);
                    }
                }
            });
            completeBlock(true, arr_field_keys); //callback
        }
    });
}

function switchMultiLanguage(country_abbrev, completeBlock) {
    if (!country_abbrev) {
        country_abbrev = '';
    }

    if (arr_field_keys.length == 0) {
        analyseLanguageFile(function (isSuccess, arr_keys) {
            setAppLanguage(country_abbrev, arr_keys, function () {
                completeBlock(true); //callback
            });
        });
    } else {
        setAppLanguage(country_abbrev, arr_field_keys, function () {
            completeBlock(true); //callback
        });
    }
}

function setAppLanguage(country_abbrev, arr_keys, completeBlock) {
    console.log('current country ' + country_abbrev);
    jQuery.i18n.properties({
        name: 'strings', //资源文件名称
        path: './js/lang_file/', //资源文件路径
        mode: 'map', //用Map的方式使用资源文件中的值
        cache: true,
        language: country_abbrev,
        callback: function () { //加载成功后设置显示内容
            $.each(arr_keys, function (index, value) {
                var field_key = '#' + value;
                // console.log('current line ' + value);
                if (document.getElementById(value)) {
                    $(field_key).html($.i18n.prop(value));
                }
            });

            completeBlock(true); //callback
        }
    });
}

//
//绑定机顶盒相关

function wxConnectDeviceByLocal(isReconnect) {
    var localIP = "http://" + parseDeviceBindcodeToIP(sessionStorage.getItem("roombindingcode")) + ":8123";
    sessionStorage.setItem("localserver_ip", localIP);
    $.ajax({
        type: "POST",
        url: localIP,
        dataType: "text",
        timeout: 2000, //超时超时时间设置，超时时间设置，时间设置，单位毫秒
        success: function (data, status) {
            //android 本地绑定
            sessionStorage.setItem("connectType", 'lan');
            sessionStorage.setItem("isConnected", "false");
            void 0;
            mobile_bindRoomBylocal(sessionStorage.getItem("roombindingcode"));
            client && client.disconnect();
        },
        error: function (xhr, textStatus, errorThrown) {
        }
    });
}
//解析机顶盒二维码绑定码, 获取机顶盒IP
function parseDeviceBindcodeToIP(sBindCode) {
    var address = sBindCode.substring(7, sBindCode.length - 2);
    var b = parseInt(address).toString();
    var len = b.length;
    if (len <= 3) {
        return b;
    }
    var r = len % 3;

    var iAddress = b.slice(r, len).match(/\d{3}/g).join(".");
    iAddress = iAddress.split('.');

    var sDeviceIp = '';
    for (var i = 0; i < iAddress.length; i++) {
        sDeviceIp += parseInt(iAddress[i]).toString() + '.';
    }

    return sDeviceIp.substr(0, sDeviceIp.length - 1);
}

/*
 *数据中心websocket连接请求
 */
var client;
var local_socketData;
var isReconnectingFinished = false;
var isReconnectDirect = false;
var isHomePageShow = false;
var connectTimeOut;
//获取websocket登录信息
function getWebsocketConnectInfo(isReconnectAgain) {
    if (sessionStorage.getItem("connectType") == 'lan') {
        hideInformMessage();
        return;
    }
    isReconnectDirect = isReconnectAgain; //判断是否通过二维码扫描绑定, yes:重新刷新cookie，默认保留时间6小时
    var userid;
    if (sessionStorage.getItem(connect_userID)) {
        userid = sessionStorage.getItem(connect_userID);
    } else {
        userid = mobile_getUserID();
        sessionStorage.setItem(connect_userID, userid);
    }
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        timeout: 5000, //超时时间设置，单位毫秒
        data: {
            body: '{"cmdid":"mp_getLoginInfo", "user_id":"' + userid + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode == "0") {
                connectServerWebsocket(data, "0");
            } else {
                showInformMessage('error', $.i18n.prop('t_get_device_info_failed'), 2500);
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            // if (reconnectionTimes < 1) {
            //     showInformMessage('error', $.i18n.prop('t_binding_error_maybe_net_problem'), 2500);
            // }
            ajaxErrorCallback(xhr, textStatus, errorThrown);
            setTimeout(function () {
                checkNetworkStatus();
            }, 1000 + (500 * reconnectionTimes));

        }
    });
}
/**
 * 请求广域网绑定,由手机端调用
 * @param device_sn
 * @param user_id
 * @param roombindingcode
 */
function m_getWebsocketConnectInfo(device_sn, user_id, roombindingcode, nickName, mobileId) {
    void 0;
    // var sn = device_sn.split('||')[0];
    sessionStorage.setItem("device_sn", device_sn);
    sessionStorage.setItem("stbSerialNumber", device_sn);
    sessionStorage.setItem("roombindingcode", roombindingcode);
    sessionStorage.setItem(connect_userID, user_id);

    // zjf - 外网绑定设置用户昵称和MobileId
    sessionStorage.setItem('userName', nickName)
    sessionStorage.setItem('mobileId', mobileId)

    sessionStorage.setItem("connectType", "wan");
    if (device_sn.indexOf('||') >= 0) {
        userIdentityInfoVerify(function (success) {
            if (success) {
                showInformMessage('loading', $.i18n.prop('t_binding_device'), 3000);
                getWebsocketConnectInfo(false);
            } else {
            showInformMessage('error', $.i18n.prop('t_binding_error_maybe_net_problem'), 3000);
            }
        });
    } else {
        showInformMessage('loading', $.i18n.prop('t_binding_device'), 3000);
        getWebsocketConnectInfo(false)
    }
}

//绑定机顶盒操作，发送至服务器，中转到机顶盒
function requestToBindDevice(device_sn, user_id, roombindingcode) {
    var paramas = '{"cmdid":"mp_addDeviceOperation", "chip_id":"' + device_sn + '", "opCode":"30006",' + '"paramas":{"cmdid":"' + "E406" + '",' + '"sn":"' + device_sn + '", "user_id":"' + user_id + '",' + '"roombindingcode":"' + roombindingcode + '"}}';

    void 0;
    void 0;
    void 0;
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: paramas
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode == "0") {
                showInformMessage('loading', $.i18n.prop('t_binding_device'), 2000);
                connectTimeOut && window.clearTimeout(connectTimeOut);
                connectTimeOut = window.setTimeout(function () {
                    void 0;
                    if (sessionStorage.getItem("isConnected") == "true") { return; }
                    client && client.disconnect();
                    showInformMessage("error", $.i18n.prop("t_binding_error_maybe_net_problem"), 3500);
                }, 15000);
            } else {
                showInformMessage('error', data.errormessage, 2000);
                client && client.disconnect();
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            void 0;
            ajaxErrorCallback(xhr, textStatus, errorThrown);
        }
    });
}

/* //websocket JSON数据返回 E407
 {"operation_code":"20003","op_params":{"records":"[1,2,3]","share_code":"test_sharecode","customerid":"test_customerid"}}
 */

//rabbit mq 消息返回
function on_message(m) {

    if (m == null) {
        return;
    }

    var message = JSON.parse(m.body);
    if (message != null && message.op_params != null) {
        if (message.op_params.errorcode == invalidBindcode) {
            showInformMessage('error', message.op_params.errormessage, 3500);
            wx_dialogPopupConfirm();
            return;
        }
        if (message.op_params.sn && message.op_params.sn == sessionStorage.getItem("device_sn")) {
            void 0;
            if (message.op_params.cmdid == "E407") {
                connectTimeOut && window.clearTimeout(connectTimeOut);
                wxConnectSuccess(message.op_params, false);
            }

            if (message.op_params.cmdid == "E403" && sessionStorage.getItem("isConnected") == 'true') {
                songOrderRequestSuccess(message.op_params);
            }

            if (message.op_params.cmdid == "E413" && sessionStorage.getItem("isConnected") == 'true') {
                songSungRequestSuccess(message.op_params);
            }
        }
    }

}
function wxConnectSuccess(data, isLocal) {
    reconnectionTimes = 0;
    void 0;
    if (data.errorcode != "0") {

        if (client != undefined) {
            disconnectDeviceComplete();
            client && client.disconnect();
        }
        showInformMessage('error', $.i18n.prop('t_device_bind_state_is_overdue'));
    } else {

        if (!data.sy_feature) {
            showInformMessage('error', $.i18n.prop('t_this_device_does_not_support_this_function'));
            return;
        }
        showInformMessage('success', $.i18n.prop('t_device_connect_success'), 4500);
        m_setSyFeature(data.sy_feature);
        m_setExternalDevice(data.dc_external_device);
        if (sessionStorage.getItem(WAN_songOrder) == '0') {
            showInformMessage('error', $.i18n.prop('t_this_device_does_not_support_wan_order_function'));
            return;
        }
        hideScanAnimation();

        if (isReconnectDirect == false) {
            //cookie保存用户连接信息
            setCookie('isConnected', 'true', 6);
            setCookie('device_sn', sessionStorage.getItem('stbSerialNumber'), 6);//device_sn/stbSerialNumber
            setCookie('roombindingcode', sessionStorage.getItem("roombindingcode"), 6);
        }
        //局域网，每10s刷新已点，广域网，没60s刷新已点
        songOrderInterval && window.clearInterval(songOrderInterval);
        sendE410HeartbeatInterval && window.clearInterval(sendE410HeartbeatInterval);
        var intervalTime
        getSongOrderdOrSungList(true);
        sendE410Heartbeat();
        intervalTime = 60000;
        songOrderInterval = window.setInterval("getSongOrderdOrSungList(true)", intervalTime);
        sendE410HeartbeatInterval = window.setInterval("sendE410Heartbeat()", 5 * 1000);

        void 0;
        requestHotSongsData("0", "6");
        getHotPlayList("0", "3");
        //获取顶部活动
        requestTopActivityData();
    }
}

//机顶盒连接机制
var reconnectionTimes = 0;
function connectServerWebsocket(socketData, command) {
    local_socketData = socketData;
    // ws = new ReconnectingWebSocket("ws://" + local_socketData.host + ":15674/ws", [], { debug: 1 });
    // client && client.disconnect();
    if(client) {
        client.disconnect();
        client = null;
    }
    startToConnectStomp(local_socketData);
    // client = Stomp.over(ws);
    // var on_connect = function () {
    //     client.subscribe("/amq/queue/" + local_socketData.route_key, on_message);
    //     //SOCKET连接成功后，发起E406绑定机顶盒请求
    //     requestToBindDevice(sessionStorage.getItem("device_sn"), sessionStorage.getItem(connect_userID), sessionStorage.getItem("roombindingcode"));
    // };
    // var on_error = function (e) {
    //     console.log("连接发生错误");
    //     showInformMessage('loading', $.i18n.prop('t_reconnecting_device'), 4500);
    //     client.disconnect();
    //     checkNetworkStatus();//网络错误回调, 定时检测网络是否正常
    // };
    // client.connect(local_socketData.user_name, local_socketData.passwords, function () {
    //     this.subscribe("/amq/queue/" + local_socketData.route_key, on_message);
    //     //SOCKET连接成功后，发起E406绑定机顶盒请求
    //     // requestToBindDevice(sessionStorage.getItem("device_sn"), sessionStorage.getItem(connect_userID), sessionStorage.getItem("roombindingcode"));
    // }, function () {
    //     console.log("连接发生错误");
    //     showInformMessage('loading', $.i18n.prop('t_reconnecting_device'), 4500);
    //     this.disconnect();
    //     checkNetworkStatus();//网络错误回调, 定时检测网络是否正常
    // }, local_socketData.vhost);
    // client.debug = function (str) {
    //     // append the debug log to a #debug div somewhere in the page using JQuery:
    //     console.log('debug ...' + str);
    // };
}
function startToConnectStomp(socketData) {
    client = Stomp.client("ws://" + socketData.host + ":15674/ws",[]);
    var on_connect = function() {
        client.subscribe("/amq/queue/" + socketData.route_key, on_message);
        void 0;
        requestToBindDevice(sessionStorage.getItem("device_sn"), sessionStorage.getItem(connect_userID), sessionStorage.getItem("roombindingcode"));
    };
    var on_error = function(e) {
        void 0;
        showInformMessage('loading', $.i18n.prop('t_reconnecting_device'), 4500);
        client.disconnect();
        checkNetworkStatus(); //网络错误回调, 定时检测网络是否正常
    };
    client.connect(socketData.user_name, socketData.passwords, on_connect, on_error, socketData.vhost);
}

//stomp error回调, 发起检测网络
function checkNetworkStatus() {
    void 0;

    if (reconnectionTimes > 15) {//请求次数之后, 自动断开
        showInformMessage('error', $.i18n.prop('t_binding_error_maybe_net_problem'), 7000);
        disconnectDeviceComplete();
        reconnectionTimes = 0;
        return;
    }
    getWebsocketConnectInfo(false);//如果网络正常, 重新发起rabbit mq连接

    reconnectionTimes++;
}

function disconnectFromDevice(PageChangeCallback) {
    showInformMessage('loading', $.i18n.prop('t_disconnecting_device'), 0);
    if (sessionStorage.getItem("connectType") == "wan") {
        if (client != undefined) {
            client.disconnect(function () {
                client = null;
                disconnectDeviceComplete();
            });
        }
        else {
            showInformMessage('error', $.i18n.prop('t_device_disconnect_by_network_problem'), 0);
        }
    }
    disconnectDeviceComplete();
}

//机顶盒解绑成功
function disconnectDeviceComplete() {
    songOrderInterval && window.clearInterval(songOrderInterval);//清除定时器；
    showInformMessage('success', $.i18n.prop('t_already_disconnect_with_device'), 4500);
    sessionStorage.setItem("isConnected", 'false');
    sessionStorage.removeItem("connectType");
    void 0;
    wx_resetCookie();
    $("#btn_connectStatus").text($.i18n.prop('dc_connectDevice_title'));
    $("#btn_device_confirm").off("tap");
    $('#t_deviceName').text('');
    void 0;
    showScanAnimation();
}


//Android 百度统计JS方法
function m_baiduStatisticCount(page, action, actionName) {
    console.log('count baidu stat' + page + action + actionName);
    if(_hmt) {
        _hmt.push(['_trackEvent', page, action, actionName, '']);
    }
}

//Android 二维码扫描结果
function m_scanCodeResult(dc_type, url) {
    void 0;
    var userid = sessionStorage.getItem('user_id');
    if (userid) {
        if (url.indexOf('from=501') > -1) {
            showInformMessage('loading', '绑定中...');
            var tag = decodeURIComponent(getParamFromUrl('tag', url));
            var tagParams = tag.split('&');
            var params = {}
            for (var i = 0; i < tagParams.length; i++) {
                var tagParam = tagParams[i].split('=')
                params[tagParam[0]] = tagParam[1];
            }
            unlockCloudSongs(params.chipid, userid, function (success, msg) {
                showInformMessage((success ? 'success' : 'error'), msg, 2500);
                requestUserDeviceList();
            })
            return;
        }
        switch (dc_type) {
            case 1:
                {
                    sessionStorage.setItem('qrCodeResult', url);
                    changePage('userAuthPage.html', 'none');
                    break;
                }
            case 2:
            case 3:
                {
                    var shareUrl = url + '&userid=' + userid;
                    void 0;
                    sessionStorage.setItem('out_url', shareUrl);
                    console.log('go to url ' + shareUrl);
                    sessionStorage.setItem('iframe_title', '分享');
                    changePage('iframePage.html', 'none');
                    break;
                }
            case 5: {
                // 将用户绑定为设备的主账户 - 下载管理相关
                var sSnValue = parseDeviceQrcodeValue(url, 'sn', false);
                console.log('绑定主账户 - sn = ' + sSnValue + ', user_id = ' + userid);
                bindMainAccountWithDevice(sSnValue, userid)
                break;
            }
          case 6: {
                // 大眼分享作品
                var userCode = btoa('dc' + JSON.stringify({user_id: userid}));
                var redirectUrl = getParamFromUrl('redirect_uri', url);
                // var redirectUrl = 'http://192.168.191.2:7000?id=123';
                redirectUrl = addParamToUrl('code', userCode, redirectUrl);
                sessionStorage.setItem('out_url', redirectUrl);
                sessionStorage.setItem('iframe_title', '作品分享');
                changePage('iframePage.html', 'none');
                hideFooterTabSection();
                break;
            }
        }
        hideInformMessage();
    } else {
        if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
            showInformMessage('error', $.i18n.prop('p_user_login_require'), 5000);
            sessionStorage.setItem('login_top_level', '');
            changePage('loginPage.html', 'none');
        } else {
            showInformMessage('error', $.i18n.prop("t_not_support_this_function"), 2500);
        }
    }
}
//登录设备
function userAuthConfirmLogin(value) {
    if (value.length == null || value.length <= 0) {
        showInformMessage('error', '登录失败', 3500);
        return;
    }
    void 0;
    var sSnValue = parseDeviceQrcodeValue(value, 'sn', false);
    var sMacValue = parseDeviceQrcodeValue(value, 'mac', false);
    var sVerifyValue = parseDeviceQrcodeValue(value, 'verification_code', false);
    var sProductValue = parseDeviceQrcodeValue(value, 'product_name', false);
    var userID = sessionStorage.getItem('user_id');
    showInformMessage('loading', '登录中..请稍等', 3500);
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem('server_ip'),
        dataType: "json",
        data: {
            body: '{"cmdid":"user_device_login","user_id":"' + userID + '","sn":"' + sSnValue + '","mac":"' + sMacValue + '","verification_code":"' + sVerifyValue + '","product_name":"' + sProductValue + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode == '0') {
                showInformMessage('success', '登录成功', 3500);
                history.back();
            } else {
                showInformMessage('error', data.errormessage, 3500);
            }
        },
        error: ajaxErrorCallback
    });

}
/*
 *机顶盒通信请求
 */

/*
 *微信获取授权
 */

function getWxAuthorityInfo(url, PageChangeOnComplete) {
    $.ajax({
        type: "POST",
        url: domainName + "/Home/Wx/getWxSignPackageAjax",
        dataType: "json",
        data: 'url=' + encodeURIComponent(url),
        success: function (data, status) {
            PageChangeOnComplete(data);
        },
        error: function (xhr, textStatus, errorThrown) {
            //alert('获取微信授权失败--' + errorThrown);
        }
    });
}

/*
 *数据中心网络请求
 */
//D000请求
var userIdentityAjax;
function userIdentityInfoVerify(PageChangeCallback) {

    var sn = getCookie("device_sn");
    if (!sn) {
        sn = sessionStorage.getItem('stbSerialNumber');
    }
    void 0;
    var countryCode = sessionStorage.getItem("countrycode");
    var requestUrl = dataCenterUrl;
    if (countryCode == 'my' || countryCode == 'vi' || countryCode == 'yn') {
        requestUrl = viDataCenterUrl;
    } else if (countryCode == 'os') {
        requestUrl = osDataCenterUrl;
    }
    // var requestUrl = (sessionStorage.getItem("countrycode") == "my" || sessionStorage.getItem
    // ("countrycode") == "vi" || sessionStorage.getItem("countrycode") == "yn") ? viDataCenterUrl : dataCenterUrl;

    console.log('current country code ' + requestUrl);

    userIdentityAjax = $.ajax({
        type: "POST", //      url: "http://testapi.duochang.cc/compatible/",//"http://api.duochang.cc/compatible/index/",
        //      url: "http://testapi.duochang.cc/compatible/",
        url: requestUrl,
        dataType: "json",
        data: {
            body: '{"cmdid":"D000"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sn);
        },
        success: function (data, status) {
            void 0;
             console.log('return D001 response ' + JSON.stringify(data));

            if (data.errorcode == "0") {
                sessionStorage.setItem("isUserCenterSupported", data.isUserCenterSupported);
                var sn = sessionStorage.getItem('stbSerialNumber');
                if (sn && sn.indexOf('||') > -1) {
                    sn = sn.split('||')[0];
                    var temp = sn.split('=');
                    if (temp.length > 1) {
                        sn = temp[1];
                    }
                    sessionStorage.setItem("device_sn", sn);
                    var userid = sessionStorage.getItem(connect_userID);
                    if (userid && userid.indexOf("dcguest") < 0) {
                        sessionStorage.setItem(connect_userID, "dcguest" + userid);
                    }
                }

                //是否支持个人中心用户体系
                if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                    $('.user_list').css({
                        'opacity': '1'
                    });
                    var pre_serverIP = sessionStorage.getItem("server_ip");
                    if (!pre_serverIP) {
                        //自动登陆
                        mobile_autoLogin();
                    }
                } else {
                    $('.user_list').css({
                        'opacity': '0.4'
                    });
                    void 0;
                    userLogout(false);
                }
                sessionStorage.setItem("server_ip", data.serverip);
                //设置Android serverIP
                mobile_setServerIP(data.serverip);
                PageChangeCallback(true);
            } else {
                //console.log("网络不给力");
                PageChangeCallback(false);
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            void 0;
            console.log('return D001 error xhr=='+ JSON.stringify(xhr));
            ajaxErrorCallback(xhr, textStatus, errorThrown);
            PageChangeCallback(false);
        }
    });
}
function setCountryCode(code) {
    var countrycode = "zh";
    if (code) {
        switch (code) {
            case "vi":
            case "yn": {
                countrycode = "vi";
                break;
            }
            case "my": {
               countrycode = "my";
               break;
            }
            case "zh": {
                countrycode = "zh";
                break;
            }
            case "phl": {
                countrycode = "zh";
                break;
            }
            case 'os': {
                countrycode = 'os';
                break;
            }
            default: {
                countrycode = "zh";
                break;
            }
        }

    } else {
        countrycode = "zh";
    }
    sessionStorage.setItem("countrycode", countrycode);
    if (mobile_getCountryCode() != countrycode) {
        void 0;
        userLogout(false);
    }
    mobile_setCountryCode(countrycode);
    if (getCookie('center_language') != countrycode) {
        m_setLanguage(countrycode);
        mobile_setLanguage(countrycode);
    }
}
//绑定后盒子后重新请求D000
function m_dataCenterVerification() {
    void 0;
    userIdentityAjax && userIdentityAjax.abort();
    dataCenterVerification(function (isSuccess, data) {
        if (isSuccess) {
            //获取歌单
            window.setTimeout(function () {
                void 0;
                requestHotSongsData("0", "6");
                getHotPlayList("0", "3");
                //获取顶部活动
                requestTopActivityData();
            }, 1000);
        } else {
            void 0;
            showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 2500);
        }
    });
}

//获取顶部活动列表
var topActivityAjax;
function getTopActivityList() {
    $('.bannerImages').empty().append('<ul id="top_image_gallery"><li><img style="position: absolute;left: 0px;top:-20px;" class="topActivityList"src="images/diange/bg_topActivity.png"/></li></ul>');
    topActivityAjax && topActivityAjax.abort();
    topActivityAjax = $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"sn_activity_source"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
//            request.setRequestHeader("phoneDevice", (document.body.clientHeight / document.body.clientWidth) > 1.6 ? "6" : "4");
        },
        success: function (data, status) {
            homePageRefresh && homePageRefresh.stopRefresh();
            void 0;
            if (!$("#top_image_gallery")) {
                return;
            }
            hideInformMessage();

            //          alert(JSON.stringify(data.errorcode));
            if (data.errorcode == '0') {

                var json = data.activity;
                if (json != null) {
                    void 0;
                    $('.bannerImages').empty().append('<ul id="top_image_gallery"></ul>');
                    //                  $("#top_image_gallery").empty();
                    //var windowWidth = window.screen.width;
                    //alert('window width ' + windowWidth);
                    for (var i = 0; i < json.length; i++) {
                        //console.log("current activity " + json[i].activity_url);
                        if (json[i].activity_type != 5) {
                            var arr_imgUrl = "./images/diange/bg_topActivity.png";
                            if (json[i].img_url.length > 0 && json[i].img_url != null) {
                                arr_imgUrl = json[i].img_url[0];
                            }
                            $("#top_image_gallery").append('\<li><img class="topActivityList"' + 'id ="' + json[i].target_id + '-' + json[i].activity_type + '-' + json[i].activity_title + '-' + json[i].activity_url + '" _src="' + arr_imgUrl + '" src="' + arr_imgUrl + '" /></li>');

                            $(".topActivityList").one("error", function (e) {
                                $(this).attr("src", "./images/diange/bg_topActivity.png");
                            });
                        }
                        else if (json[i].activity_type == '5') {
                            var temp_img = new Image();
                            temp_img.src = json[i].img_url[0];
                            setCookie("ads_url", json[i].img_url[0], 24);
                        }
                    }

                    TouchSlide({
                        slideCell: "#sliderBannerTop",
                        titCell: ".bannerTitle ul", //开启自动分页 autoPage:true ，此时设置 titCell 为导航元素包裹层
                        mainCell: ".bannerImages ul",
                        effect: "leftLoop",
                        autoPlay: true,
                        delayTime: 1000,
                        interTime: 6000,
                        autoPage: true, //自动分页
                        switchLoad: "_src" //切换加载，真实图片路径为"_src"
                    });

                    $(".topActivityList").on("tap", function (event) {

                        showInformMessage('loading', $.i18n.prop('t_loading_data'), 5500);
                        var activity_data = this.id.split("-");
                        sessionStorage.setItem("songListNum", activity_data[0]);
                        sessionStorage.setItem("songListName", activity_data[2]);
                        //alert('songListNum' + activity_data[0] + '  songListName' + activity_data[2]);
                        switch (activity_data[1]) {
                            case "1": //歌手
                                {
                                    sessionStorage.setItem("pageType", 2);
                                    break;
                                }
                            case "2": //排行榜
                                {
                                    sessionStorage.setItem("pageType", 1);
                                    break;
                                }
                            case "3": //顶部活动
                                {
                                    sessionStorage.setItem("out_url", "http://" + activity_data[3]);
                                    changePage("iframePage.html", "slide");
                                    _hmt.push(['_trackEvent', '首页', '点击', '顶部活动', activity_data[2]]);
                                    return false;
                                }
                            case "4": //歌单
                                {
                                    sessionStorage.setItem("pageType", 0);
                                    break;
                                }
                            default:
                                { }
                        }
                        mobile_umengEventStat('topactivity_click_event', '点击-顶部活动-' + activity_data[2]);
                        sessionStorage.setItem('songList_top_level', $.i18n.prop('p_pageTitle_recommend'));
                        changePage("songListDetail.html", "slide");
                        return false;
                    });
                }
            } else {
                // window.setTimeout("requestTopActivityData()", 5000)
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            void 0;
            homePageRefresh && homePageRefresh.stopRefresh();
            ajaxErrorCallback(xhr, textStatus, errorThrown);
            // window.setTimeout("requestTopActivityData()", 5000)
        }
    });
}

//获取首页热门歌曲列表
var hotSongAjax;
function getPlaylistSongs(startPos, requestNum, PageChangeOnComplete) {
    hotSongAjax && hotSongAjax.abort();
    hotSongAjax = $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D366","startpos":"' + startPos + '","requestnum":"' + requestNum + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (!$("#hotSongList")) {
                return;
            }
            void 0;
            PageChangeOnComplete(data);
        },
        error: ajaxErrorCallback
    });
}

//获取歌曲数据, 歌单, 排行榜, 歌手 etc...
function getSongListData(param, PageChangeOnComplete) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: param
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            hideInformMessage();
            PageChangeOnComplete(data, null);
        },
        error: ajaxErrorCallback
    });
}

function getSongSuccseeFunction(data, status) {
    if (!$("#songList")) {
        return;
    }
    if (data.errorcode == 0) {
        if (parseInt(data.rs.return) > 0) {
            var curTotalNum = songDetailNum;
            songDetailNum += parseInt(data.rs.return);
            totalNum = data.rs.total;
            var json = data.rs.r;
            var isKp = 'none';
            var isCollected = 'none';
            var collected = false;
            var htmlString = '';
            $.each(json, function (n, value) {
                if (!value.kp || value.kp == 0) {
                    isKp = 'none';
                } else {
                    isKp = 'inline-block';
                }
                collected = checkIfSongInArray(value.id, userCollectionList);
                if (collected) {
                    isCollected = 'inline-block';
                } else {
                    isCollected = 'none';
                }
                var num = (curTotalNum + n + 1);
                var size = ( num.toString().length + 1 ) * 10;
                var li_style = 'padding-left: ' + ( num > 999 ? size : 40 ) + 'px !important';
                var num_style = 'width: ' + ( num > 999 ? size : 40 ) + 'px !important';
                var temp = '<li class="ev_li_songDetail" id="' + value.id +
                    '" data-collected=' + collected + ' style="' + li_style + '"><div class="detailSongNumber" style="'
                    + num_style + '">' + ( num < 10 ? '0' + num : num ) + '</div><p class="detailSongName textColorWhite">'
                    + value.s + '</p><br><img class="ev_image_collection" style="display:' + isCollected
                    + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:'
                    + isKp + '"><p class="detailSingerName textColorgray">' + value.g;
                if (window.isForMV) {
                    temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover" style="padding: 18px 0"><img src="images/diange/makeMV.png" alt="" style="width: 13px;margin: 0 auto 8px auto;display: block;"><p class="textColorWhite" style="margin: 0 auto;text-align: center">'+ $.i18n.prop('p_makeMV') +'</p></div></li>'
                } else {
                    temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>'
                }
                htmlString = htmlString + temp;
            });
            $("#songList").append(htmlString).listview('refresh');
            if (document.getElementById('songList').children.length >= totalNum) {
                $("#songListLoadmore").text($.i18n.prop('songListLoadmore_noMoreSong'));
            } else {
                $("#songListLoadmore")
                    .text($.i18n.prop('songListLoadmore_loadMore'))
                    .one("tap", loadMoreData);
            }
        } else {
            $("#songListLoadmore").text($.i18n.prop('songListLoadmore_noMoreSong'));
        }
    } else {
        $("#songListLoadmore").text($.i18n.prop('songListLoadmore_loadFail'));
    }
}

function m_getSongSuccseeFunction(content) {
    hideInformMessage();
    var data = JSON.parse(content);
    if (data.songid_list) {
        m_requestSongsOfCategorySuccess(data);
        return;
    }
    if (!$("#songList")) {
        return;
    }
    // console.info(content);
    if (data.errorcode == 0) {
        //console.info();
        if (parseInt(data.rs.return) > 0) {
            songDetailNum += parseInt(data.rs.return);
            totalNum = data.rs.total;
            var json = data.rs.r;
            var isKp = 'none';
            var isOnline = 'none';
            var isCollected = 'none';
            var collected = false;
            if (json.length > 0) {
                var htmlString = "";
                $.each(json, function (n, value) {
                    if (!value.kp || value.kp == 0) {
                        isKp = 'none';
                    } else {
                        isKp = 'inline-block';
                    }
                    if (value.online && value.online != '0') {
                        isOnline = 'inline-block';
                    } else {
                        isOnline = 'none';
                    }
                    collected = checkIfSongInArray(value.id, userCollectionList);
                    if (collected) {
                        isCollected = 'inline-block';
                    } else {
                        isCollected = 'none';
                    }
                    var temp = '<li class="ev_li_songDetail" id="' + value.id + '" data-collected=' + collected + '><p class="detailSongName textColorWhite">' + value.s + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><img class="ev_image_online" src="./images/diange/ip_onlinelogo.png" style="display:' + isOnline + '"><p class="detailSingerName textColorgray">' + value.g;
                    if (window.isForMV) {
                        temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover" style="padding: 18px 0"><img src="images/diange/makeMV.png" alt="" style="width: 13px;margin: 0 auto 8px auto;display: block;"><p class="textColorWhite" style="margin: 0 auto;text-align: center">'+ $.i18n.prop('p_makeMV') +'</p></div></li>'
                    } else {
                        temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>'
                    }
                    htmlString = htmlString + temp;
                });
                $("#songList").append(htmlString).listview('refresh');
                $("#songListLoadmore")
                    .text($.i18n.prop('songListLoadmore_loadMore'))
                    .one("tap", loadMoreData);
            } else {
                //歌曲被全部过滤 再请求20条
                loadMoreData();
            }
        } else {
            $("#songListLoadmore").text($.i18n.prop('songListLoadmore_noMoreSong'));
        }
    } else {
        $("#songListLoadmore").text($.i18n.prop('songListLoadmore_loadFail') + "," + data.errormessage);
    }
}

//热门歌曲首页数据刷新
function processHotSongListData_mainPage(data) {
    if (data.errorcode == '0') {
        var json = data.rs.r;
        $('#hotSongList').empty();
        var isCollected = 'none';
        var isKP = 'none';
        var collected = false;
        var htmlString = "";
        $.each(json, function (n, value) {
            if (!value.kp || value.kp == 0) {
                isKP = 'none';
            } else {
                isKP = 'inline-block';
            }
            collected = checkIfSongInArray(value.id, userCollectionList);
            isCollected = collected ? 'inline-block' : 'none';
            var temp = '<li class="ev_li_songDetail" id="' + value.id + '" data-collected=' + collected + '><p class="detailSongName textColorWhite">' + value.s + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKP + '"><p class="detailSingerName textColorgray">' + value.g + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
            htmlString = htmlString + temp;
        });
        $("#hotSongList").append(htmlString).listview('refresh');
    } else { }

}

/**
 * 离线曲库刷新最新热歌
 * @param content
 */
function m_processHotSongListData_mainPage(content) {
    if (content == null) {
        return;
    }
    var data = JSON.parse(content);
    if (window.isForMV) {
        photoMV_getSongCallBack(data);
        return;
    }
    if (data.errorcode == '0') {
        var json = data.rs.r;
        var isCollected = 'none';
        var isKP = 'none';
        var isOnline = 'none';
        var collected = false;
        var htmlString = "";
        $.each(json, function (n, value) {
            if (!value.kp || value.kp == 0) {
                isKP = 'none';
            } else {
                isKP = 'inline-block';
            }
            if (!value.online || value.online != "1") {
                isOnline = "none";
            } else {
                isOnline = "inline-block";
            }
            collected = checkIfSongInArray(value.id, userCollectionList);
            isCollected = collected ? 'inline-block' : 'none';
            var temp = '<li class="ev_li_songDetail" id="' + value.id + '" data-collected=' + collected + '><p class="detailSongName textColorWhite">' + value.s + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKP + '"><img class="ev_image_online" src="./images/diange/ip_onlinelogo.png" style="display:' + isOnline + '"><p class="detailSingerName textColorgray">' + value.g + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';

            htmlString = htmlString + temp;
        });
        $('#hotSongList').empty().append(htmlString).listview('refresh');
    } else { }
}

//首页热门歌曲点击事件
function hotSongListOperation_mainPage() {
    $('#hotSongList').on('tap', '.ev_li_songDetail', function (event) {
        if (event.target.nodeName != 'DIV') {
            this.className = "ev_li_songDetail ui-li-static ui-body-inherit ui-li-has-thumb"
            requestControlDeviceOperation(40, this.id, 'song_order', '');
            mobile_umengEventStat('recommend_page_click_event', '点击-点歌');
            _hmt.push(['_trackEvent', '首页', '点击', '点歌', '']);
            return false;
        } else {
            return true;
        }
    });
    //	$('#hotSongList').on('touchstart', 'li .ev_btn_dingGe_Cover', function (event) {
    //		this.firstElementChild.className = "ev_btn_dingGe btn_hightLight";
    //		this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge_H.png');
    //
    //	});
    //	$('#hotSongList').on('touchmove', 'li .ev_btn_dingGe_Cover', function (event) {
    //		this.firstElementChild.className = "ev_btn_dingGe btn_animation";
    //		this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge.png');
    //	});
    $('#hotSongList').on('tap', 'li .ev_btn_dingGe_Cover', function (event) {
        //		this.firstElementChild.className = "ev_btn_dingGe btn_animation";
        //		this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge.png');
        //		clickDinggeButton(this.parentNode.id);
        //		_hmt.push(['_trackEvent', '首页', '点击', '顶歌', '']);
        expansionSongListLi($(this.parentElement));
        return false;
    });
    $('#hotSongList').on('touchstart', '.ev_li_songDetail', function (event) {
        if (event.target.nodeName != 'DIV') {
            this.className = "ev_li_songDetail ui-li-static ui-body-inherit ui-li-has-thumb hightLightBgColor";
            return true;
        }
    });
    $('#hotSongList').on('touchmove', '.ev_li_songDetail', function (event) {
        this.className = "ev_li_songDetail ui-li-static ui-body-inherit ui-li-has-thumb"
    });
    $('#hotSongList').on('tap', '.songListExpansion #expansionDG', function () {
        var songListObj = $(this).parent().prev('.ev_li_songDetail')
        requestControlDeviceOperation(41, songListObj.attr('id'), 'song_order', '');
    });
    $('#hotSongList').on('tap', '.songListExpansion #expansionSC', function () {
        var thisObj = $(this);
        expansionLiClickCollection(thisObj);
    });
}
//请求排行榜列表
function requestRankList(startPos, num, PageChangeOnComplete) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D328","startpos":"1","requestnum":"-1"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            //            					alert("success" + JSON.stringify(data));
            //hideInformMessage();
            PageChangeOnComplete(data);
        },
        error: ajaxErrorCallback
    });
}

//排行榜数据处理
function processRankListData(data) {
    if (!$("#rankList")) {
        return;
    }
    if (data.errorcode == '0') {
        var json = data.rs.r;
        $("#rankList").empty();
        var htmlString = "";
        $.each(json, function (n, value) {
            var songNames = value.songs.split(";");
            var singerNames = value.singers.split(";");
            var temp = "<li class = \"ev_li_ranktitle\" id = \"" + value.id + "-" + value.s + "\"><p class = \"ranktitle textColorWhite\">" + value.s + "</p><p class = \"rankdate textColorgray\">" + value.t + "</p></li>";
            temp = temp + "<li class = \"ev_li_rank textColorWhite\" id = \"" + value.id + "-" + value.s + "\"><img src=\"" + data.picurlhead + "?fileid=" + value.fid + "\" class=\"ev_image_rank\"><p class = \"ranksong1\">1." + songNames[0] + "-" + singerNames[0] + "</p><p class = \"ranksong2\">2." + songNames[1] + "-" + singerNames[1] + "</p><p class = \"ranksong2\">3." + songNames[2] + "-" + singerNames[2] + "</p></li>";
            htmlString = htmlString + temp;
        });
        $("#rankList").append(htmlString).listview('refresh');
        $("img").one("error", function (e) {
            $(this).attr("src", "images/diange/icon_default_bg.png");
        });
        setPageReloadStatus('page_rank', false);
    } else {
        showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 2500);
        setPageReloadStatus('page_rank', true);
    }
}

// 获取热门歌单
var songListAjax;
function getSongLists(startPos, num, PageChangeOnComplete) {
    songListAjax && songListAjax.abort();
    songListAjax = $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D330","startpos":"' + startPos + '","requestnum":"' + num + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            PageChangeOnComplete(data);
        },
        error: function (xhr, textStatus, errorThrown) {
            ajaxErrorCallback
            PageChangeOnComplete(null);
        }

    });
}

//热门歌单页面刷新-歌单页面
function processPlayListsData(data) {

    if (!$('#playList')) {
        return;
    }
    var json = data.rs.r;
    $('#playList').empty();
    var htmlString = "";
    $.each(json, function (n, value) {
        var temp = "<li id = \"" + value.tid + "-" + value.s + "\"class=\"ev_li_playlist\"><img src=\"" + data.picurlhead + "?fileid=" + value.fid + "\" class=\"ev_image_playlist\"><p class=\"playlistTitle textColorWhite\">" + value.s + "</P><p class = \"playlistDetail textColorgray\">" + value.des + "</p></li>";
        htmlString = htmlString + temp;
    });
    $('#playList').append(htmlString);
    $('#playList').listview().listview('refresh');
    $("#ui_loader_circle").hide();
    $("img").one("error", function (e) {
        $(this).attr("src", "images/diange/icon_default_bg.png");
    });
}

//热门歌单页面刷新-首页
function processHotPlaylistsData(data) {
    if (!$("#playlist") || data == null) {
        return;
    }
    //  alert('play'+JSON.stringify(data.errorcode));
    if (data.errorcode == '0') {
        var json = data.rs.r;
        var imageSet = document.getElementsByClassName('ev-playlist-img');
        var playLisgNameSet = $('#playlist div div');
            for (var i = 0; i < 3; i++) {
                if (i >= json.length) {
                    var img_playList = data.picurlhead + "?fileid=";
                    imageSet[i].setAttribute('src', img_playList);
                    imageSet[i].setAttribute('id', '' + "-" + '');
                    playLisgNameSet[i].innerHTML = '';
                } else {
                    var img_playList = data.picurlhead + "?fileid=" + json[i].fid;
                    imageSet[i].setAttribute('src', img_playList);
                    imageSet[i].setAttribute('id', json[i].tid + "-" + json[i].s);
                    playLisgNameSet[i].innerHTML = json[i].s;
                }
            }
        $(".ev-playlist-img").one("error", function (e) {
            $(this).attr("src", "images/diange/icon_default_bg.png");
        });
        $('#playlist').trigger('reloadGrid');
        setPageReloadStatus('page_home', false);
    } else {
        setPageReloadStatus('page_home', true);
    }
}
//热门歌单首页点击事件
function hotPlayListOperation() {
    $("#playlist").on("tap", 'div', function (e) {
        //                      alert(this.id);
        showInformMessage('loading', $.i18n.prop('t_loading_data'), 3500);

        var songListid = this.firstElementChild.id.split("-");
        sessionStorage.setItem("songListNum", songListid[0]);
        sessionStorage.setItem("songListName", songListid[1]);
        sessionStorage.setItem("pageType", 0);
        sessionStorage.setItem('songList_top_level', $.i18n.prop('p_pageTitle_recommend'));

        changePage("songListDetail.html", "slide");

        mobile_umengEventStat('recommend_page_click_event', '点击-推荐歌单-' + songListid[1]);
        _hmt.push(['_trackEvent', '首页', '点击', '推荐歌单', songListid[1]]);
        return false;
    });
}
//获取热门歌星列表
function getSingerList(startPos, requestNum, songstertypeid, letter, PageChangeOnComplete) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D324","startpos":"' + startPos + '","letterindex":"' + letter + '","songstertypeid":"' + songstertypeid + '","requestnum":"' + requestNum + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            PageChangeOnComplete(data);
        },
        error: ajaxErrorCallback
    });
}

var swiperSlide;
var isFunctionActived = false;

//热门歌星列表数据刷新-歌手页面
function getSingerCompleteFunction(data, status) {
    var json = data.rs.r;

    var singerListWrapper = $('#page_singer .swiper-container .swiper-wrapper div');

    $.each(singerListWrapper, function (index, obj) {
        if (index > 5) {
            return false;
        }
        var singerAvarerSet = obj.children[0];
        var singerNameSet = obj.children[1];
        if (json[index].bfid != -1) {
            singerAvarerSet.setAttribute('src', data.picurlhead + '?fileid=' + json[index].bfid);
            singerAvarerSet.setAttribute('id', json[index].id + '-' + json[index].name);
            singerNameSet.innerHTML = json[index].name;
            //$("#singer_list_bg").append('\<img class="hotSingerList"' + 'id ="' + json[i].id + '-' + json[i].name + '" src=" ' + data.picurlhead + '?fileid=' + json[i].bfid + '"/>' + '<p class="textColorWhite">' + json[i].name + '</p>');
        }
    });

    if (!isFunctionActived) {
        isFunctionActived = true;
        swiperSlide = new Swiper('#page_singer .swiper-container', {
            //        scrollbar: '.swiper-scrollbar'
            //        , scrollbarHide: true
            slidesPerView: 'auto',
            centeredSlides: false,
            spaceBetween: 5,
            grabCursor: true,
            freeMode: true,
            freeModeMomentumRatio: 3,
            onTap: function (swiper) {
                //console.log('tappind' + swiper.clickedSlide);
                singerListTapped(swiper.clickedSlide);
                return;
            }
        });
    }

    $(".hotSingerList").one("error", function (e) {
        $(this).attr("src", "./images/diange/icon_default_bg.png");
    });

    hideInformMessage();

    /*$(".swiper-slide").on("click", function(event) {
        showInformMessage('loading', '读取数据中..', 2500);
        var img_node = this.children[0];
        var songerid = img_node.id.split("-");
        sessionStorage.setItem("songListNum", songerid[0]);
        sessionStorage.setItem("songListName", songerid[1]);
        sessionStorage.setItem("pageType", 2);
        sessionStorage.setItem('songList_top_level', '歌手');

        $.mobile.changePage("songListDetail.html", {
            transition: "slide"
        });
        _hmt.push(['_trackEvent', '歌手页面', '热门艺人', songerid[1], '']);
        return false;
    });*/
}

//热门歌星 点击事件
function singerListTapped(clickedSlide) {
    showInformMessage('loading', $.i18n.prop('t_loading_data'), 2500);
    var img_node = clickedSlide.children[0];
    var songerid = img_node.id.split("-");
    sessionStorage.setItem("songListNum", songerid[0]);
    sessionStorage.setItem("songListName", songerid[1]);
    sessionStorage.setItem("pageType", 2);
    sessionStorage.setItem('songList_top_level', $.i18n.prop('p_pageTitle_singer'));

    changePage("songListDetail.html", "slide");

    mobile_umengEventStat('hot_singer_list', '点击-' + songerid[1]);
    _hmt.push(['_trackEvent', '歌手页面', '热门艺人', songerid[1], '']);
}

/**
 * 已唱录音上传
 * 通知机顶盒上传已唱录音至数据中心
 * @param shareCode, user_id, stbSerialNumber
 */
function uploadSongSungTo_DC_Datacenter(shareCode, completeBlock) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"ru_upload_start_notify",' +
            '"userid":"' + sessionStorage.getItem('user_id') +
            '","sn":"' + sessionStorage.getItem('stbSerialNumber') +
            '","sharecode":"' + shareCode + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            completeBlock(true, data);
        },
        error: ajaxErrorCallback
    });
}

/**
 * 手机刷新热门歌星列表
 */
function m_getSingerCompleteFunction(content) {
    var json = JSON.parse(content);
    var singerListWrapper = $('.swiper-wrapper div');

    $.each(singerListWrapper, function (index, obj) {
        if (index > 5) {
            return false;
        }
        var singerAvarerSet = obj.children[0];
        var singerNameSet = obj.children[1];
        if (json[index].bfid != -1) {
            singerAvarerSet.setAttribute('src', json[index].url);
            singerAvarerSet.setAttribute('id', json[index].id + '-' + json[index].name);
            singerNameSet.innerHTML = json[index].name;
            //$("#singer_list_bg").append('\<img class="hotSingerList"' + 'id ="' + json[i].id + '-' + json[i].name + '" src=" ' + data.picurlhead + '?fileid=' + json[i].bfid + '"/>' + '<p class="textColorWhite">' + json[i].name + '</p>');
        }
    });

    if (!isFunctionActived) {
        isFunctionActived = true;
        swiperSlide = new Swiper('.swiper-container', {
            //        scrollbar: '.swiper-scrollbar'
            //        , scrollbarHide: true
            slidesPerView: 'auto',
            centeredSlides: false,
            spaceBetween: 5,
            grabCursor: true,
            freeMode: true,
            freeModeMomentumRatio: 3,
            onTap: function (swiper) {
                //console.log('tappind' + swiper.clickedSlide);
                singerListTapped(swiper.clickedSlide);
                return;
            }
        });
    }

    $(".hotSingerList").one("error", function (e) {
        $(this).attr("src", "./images/diange/icon_default_bg.png");
    });

    hideInformMessage();

    /*$(".swiper-slide").on("click", function(event) {
        showInformMessage('loading', '读取数据中..', 2500);
        var img_node = this.children[0];
        var songerid = img_node.id.split("-");
        sessionStorage.setItem("songListNum", songerid[0]);
        sessionStorage.setItem("songListName", songerid[1]);
        sessionStorage.setItem("pageType", 2);
        sessionStorage.setItem('songList_top_level', '歌手');

        $.mobile.changePage("songListDetail.html", {
            transition: "none"
        });
        _hmt.push(['_trackEvent', '歌手页面', '热门艺人', songerid[1], '']);
        return false;
    });*/
}

//热门歌星列表数据刷新
var singerCategory = []; //歌星分类数组
var categorySingers = []; //歌星数组
var singerPicUrlHeader; //歌星头像url头
function getSingerSuccseeFunction(data, status, isReload) {
    var singerList = $("#categorySingerList");
    if (!singerList) {
        return;
    }
    hideInformMessage();
    //  if(isReload) {
    //      singerList.empty();
    //  }
    var htmlString = "";
    $.each(data, function (n, value) {
        var temp = "<li class = \"ev_li_search_singer\" id = \"" + value.id + "-" + value.name + "\"><img src=\"" + singerPicUrlHeader + "?fileid=" + value.bfid + "\" class=\"ev_image_search\"><p class=\"search_singerN textColorWhite\">" + value.name + "</p><img src=\"./images/diange/ip_next_page.png\" alt=\"next\" style=\"width:9px;height:15px;position: absolute;right:15px;top:24px;\"></li>";
        htmlString = htmlString + temp;

    });
    singerList.append(htmlString).listview('refresh');
    $("img").one("error", function (e) {
        $(this).attr("src", "images/diange/icon_default_bg.png");
    });
    if (data.length > 0) {
        $('#p_singerListPage_loading').text($.i18n.prop('songListLoadmore_loadMore')).one('tap', function (event) {
            loadMoreSinger(event);
        });
    }

}

/**
 * 手机调用
 * 刷新歌星列表界面
 * @param content
 */

function m_getSingerSuccseeFunction(content) {
    var singerList = $("#categorySingerList");
    if (!singerList) {
        return;
    }
    hideInformMessage();
    var json = JSON.parse(content);
    //  $('#singerList').empty();
    var htmlString = "";
    $.each(json, function (n, value) {
        var temp = "<li class = \"ev_li_search_singer\" id = \"" + value.id + "-" + value.name + "\"><img src=\"" + value.url + "\" class=\"ev_image_search\"><p class=\"search_singerN textColorWhite\">" + value.name + "</p><img src=\"./images/diange/ip_next_page.png\" alt=\"next\" style=\"width:9px;height:15px;position: absolute;right:15px;top:24px;\"></li>";
        htmlString = htmlString + temp;
    });
    singerList.append(htmlString).listview('refresh');
    $("img").one("error", function (e) {
        $(this).attr("src", "images/diange/icon_default_bg.png");
    });
    var index = parseInt($(".selectSingerType").attr('id'));
    categorySingers[index] = categorySingers[index].concat(json);
    if (json.length > 0) {
        $('#p_singerListPage_loading').text($.i18n.prop('songListLoadmore_loadMore')).one('tap', function (event) {
            loadMoreSinger(event);
        });
    } else {
        $('#p_singerListPage_loading').text($.i18n.prop('t_No_More_Data')).off('tap');
    }
}

//获取歌星类型列表
function getSingerTypeList(startPos, requestNum, PageChangeOnComplete) {

    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D338","startpos":"' + startPos + '","requestnum":"' + requestNum + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            PageChangeOnComplete(data);
        },
        error: ajaxErrorCallback
    });
}

//歌星类型数据页面刷新
function processSingerTypeListData(data, callBackFunc) {
    //	var json = data.rs.r;
    //	$("#hotSingerTypeList").empty();
    //	for (var i = 0; i < json.length; i++) {
    //		$("#hotSingerTypeList").append('\<li class="singerTypeList" ' + 'id ="' + json[i].id + '-' + json[i].name + '"><p class="textColorWhite">' + json[i].name + '</P>\<img src="./images/diange/ip_next_page.png" alt="next" class="img_nextPage" style="top:20px"></li>');
    //	}
    //	$('#hotSingerTypeList').listview('refresh');
    var singerTypeList = $('.singerTypeContainer .swiper-wrapper');
    singerTypeList.empty();
    singerCategory = data.rs.r;
    if (data.isSupportAll == null || data.isSupportAll != '1') {
        singerCategory.unshift({
            id: "",
            name: "全部歌手"
        });
    }
    categorySingers = new Array();
    var htmlString = "";
    $.each(singerCategory, function (n, value) {
        var temp = '<div class="swiper-slide singerTypeSlide" id="' + n + '">' + value.name + '</div>';
        htmlString = htmlString + temp;
        categorySingers.push(new Array());
    });
    singerTypeList.append(htmlString);
    singerTypeList.children(':first').addClass('selectSingerType');
    callBackFunc(true);
}

/**
 * 刷新歌星类型界面
 * @param content
 */
function m_processSingerTypeListData(content) {
    //console.log(content);
    var json = JSON.parse(content);

    var singerTypeList = $('.singerTypeContainer .swiper-wrapper');
    singerTypeList.empty();
    singerCategory = json;
    categorySingers = new Array();
    var htmlString = "";
    $.each(singerCategory, function (n, value) {
        var temp = '<div class="swiper-slide singerTypeSlide" id="' + n + '">' + value.name + '</div>';
        htmlString = htmlString + temp;
        categorySingers.push(new Array());
    });
    singerTypeList.append(htmlString);
    singerTypeList.children(':first').addClass('selectSingerType');
    getSingerCategoryCallBack();
    selectSingerCategory(0);
    setPageReloadStatus('page_singer', false);
}
//歌星类型获取成功
function requestSingerTypeSuccess(isSuccess, data) {
    // console.log('歌星类型返回' + JSON.stringify(data));
    if (data.errorcode == '0') {
        processSingerTypeListData(data, function (isSuccess) {
            if (isSuccess) {
                getSingerCategoryCallBack();
                selectSingerCategory(0);
                // console.log('刷新歌星类型')
            }
        });
        setPageReloadStatus('page_singer', false);
    } else {
        showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 2500);
        setPageReloadStatus('page_singer', true);
    }
}
//歌星类型选择
function selectSingerCategory(index) {
    $('#p_singerListPage_loading').text($.i18n.prop('t_loading_text')).unbind('tap');
    mobile_umengEventStat('hot_singer_list', '点击-' + singerCategory[index].name);
    // console.log(categorySingers[index]);
    $("#categorySingerList").empty();
    if (categorySingers[index].length > 0) {
        getSingerSuccseeFunction(categorySingers[index], null, true);
    } else {
        showInformMessage('loading', $.i18n.prop('t_loading_data'), 2500);
        $('#categorySingerList').empty();
        requestHotSingerListsData("1", "10", singerCategory[index].id, "热门", function (isSuccess, data) {
            void 0;
            if (data.rs.r != undefined) {
                var singers = data.rs.r;
                singerPicUrlHeader = data.picurlhead;
                categorySingers[index] = categorySingers[index].concat(singers);
                if (parseInt($(".selectSingerType").attr('id')) == index) {
                    getSingerSuccseeFunction(singers, null, true);
                }
            }
            else {
                hideInformMessage();
                if (data.rs.return == '0') {
                    $('#p_singerListPage_loading').text($.i18n.prop('t_No_More_Data'));
                }
                else {
                    $('#p_singerListPage_loading').text($.i18n.prop('t_load_failed_maybe_net_problem'));
                }
            }
        });
    }
}
//歌星列表数据加载更多
function loadMoreSinger(event) {
    // console.log(event.target);
    $(event.target).text($.i18n.prop('t_loading_text'));
    var index = parseInt($(".selectSingerType").attr('id'));
    var currentNum = categorySingers[index].length + 1;
    var listId = singerCategory[index].id;
    requestHotSingerListsData(currentNum, "10", listId, "热门", function (isSuccess, data) {
        void 0;
        if (data.rs.r != undefined) {
            var singers = data.rs.r;
            singerPicUrlHeader = data.picurlhead;
            categorySingers[index] = categorySingers[index].concat(singers);
            if(parseInt($(".selectSingerType").attr('id')) == index) {
                getSingerSuccseeFunction(singers, null, false);
            }
        } else {
            hideInformMessage();
            if (data.rs.return == '0') {
                $('#p_singerListPage_loading').text($.i18n.prop('t_No_More_Data'));
            }
            else {
                $('#p_singerListPage_loading').text($.i18n.prop('t_load_failed_maybe_net_problem'));
            }
        }

    });
}

/*搜索页面请求*/

//搜索歌星

var searchSingerRequest;
var searchSongRequest;

function searchSingerAjax(key, start, num, PageChangeOnComplete) {
    $("#search .ev_btn_loadmore").text($.i18n.prop('t_loading_text'));
    searchSingerRequest = $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D302","songstername":"' + key + '","startpos":"' + start + '","requestnum":"' + num + '"}'
        },
        async: true,
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            PageChangeOnComplete(data);
        },
        error: function (xhr, textStatus, errorThrown) {

            if (errorThrown == 'abort') {
            } else {
                ajaxErrorCallback(xhr, textStatus, errorThrown);
            }
        }
    });
}

function stopSearchRequest() {
    //如若上一次AJAX请求未完成，则中止请求
    if (searchSingerRequest) {
        searchSingerRequest.abort();
    }
    if (searchSongRequest) {
        searchSongRequest.abort();
    }
}

//搜索歌曲
function searchSongWithKey(key, startpos, requstnum, PageChangeOnComplete) {
    searchSongRequest = $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"D300","songname":"' + key + '","startpos":"' + startpos + '","requestnum":"' + requstnum + '"}'
        },
        async: true,
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            PageChangeOnComplete(data);
        },
        error: function (xhr, textStatus, errorThrown) {
        }
    });
}

//搜索数据返回界面刷新
function searchSuccseeFunction(data, status) {
    if (!$("#singers")) {
        return;
    }

    switch (data.cmdid) {
        case "D301":
            {
                if (data.errorcode == 0) {
                    var json = data.records.record;
                    totalSongNum = data.records.totalnum;
                    if (totalSongNum == '0' && currentSingerNum == '0') {
                        $("#search .ev_btn_loadmore").text($.i18n.prop('p_search_info_no_result'));
                        $("#search .ev_btn_loadmore").off('tap');
                        $('#search_result').text('');
                    } else {
                        $('#search_result').text($.i18n.prop('p_search_info_result'));
                        var isCollected = 'none';
                        var collected = false;
                        var isKp = 'none';
                        var htmlString = '';
                        if (json) {
                            $.each(json, function (n, value) {
                                collected = checkIfSongInArray(value.songid, userCollectionList);
                                isCollected = collected ? 'inline-block' : 'none';
                                if (!value.isgrand || value.isgrand != '0') {
                                    isKp = 'none';
                                } else {
                                    isKp = 'inline-block';
                                }
                                var temp = '<li class="ev_li_search_song" id="' + value.songid + '" data-collected=' + collected + '><img src="images/diange/icon_default_bg.png" class="ev_image_search"><p class="detailSongName textColorWhite">' + value.songname + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><p class="detailSingerName textColorgray">' + value.songstername;
                                if (window.isForMV) {
                                    temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover" style="padding: 18px 0"><img src="images/diange/makeMV.png" alt="" style="width: 13px;margin: 0 auto 8px auto;display: block;"><p class="textColorWhite" style="margin: 0 auto;text-align: center">'+ $.i18n.prop('p_makeMV') +'</p></div></li>'
                                } else {
                                    temp = temp + '</p><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>'
                                }
                                htmlString = htmlString + temp;
                            });
                        }
                        $("#singers").append(htmlString).listview('refresh');
                        var singers_children = document.getElementById('singers').children;
                        if (singers_children) {
                            var num = singers_children.length - parseInt(currentSingerNum);
                            if (num >= parseInt(totalSongNum)) {
                                $("#search .ev_btn_loadmore").text($.i18n.prop('songListLoadmore_noMoreSong'));
                            } else {
                                $("#search .ev_btn_loadmore").text($.i18n.prop('p_click_load_more'));
                                $("#search .ev_btn_loadmore").one("tap", loadMoreSearchResult);
                            }
                        }
                    }
                } else {
                    showInformMessage('error', $.i18n.prop('t_network_busy'), 2500);
                    $('#searchinput').val('');
                    $("#search .ev_btn_loadmore").text("");
                    $("#search .ev_btn_loadmore").off("tap");
                }
                break;
            }
        case "D303":
            {
                if (data.errorcode == 0) {
                    currentSingerNum = data.rs.return;
                    var htmlString = '';
                    if (parseInt(data.rs.return) > 0) {
                        var json = data.rs.r;
                        $.each(json, function (n, value) {
                            var temp = "<li class='ev_li_search_singer' id='" + value.id + "-" + value.name + "'><img src='" + data.picurlhead + "?fileid=" + value.bfid + "' class='ev_image_search'><p class='search_singerN textColorWhite'>" + value.name + "</p><img src='./images/diange/ip_next_page.png' alt='' style='width:9px;height:15px;position:absolute;right:15px;top:24px;'></li>";
                            htmlString = htmlString + temp;
                        });
                        $("#singers").append(htmlString).listview('refresh');
                        $("img").one("error", function (e) {
                            $(this).attr("src", "images/diange/icon_default_bg.png");
                        });
                    }
                } else {
                    showInformMessage('error', $.i18n.prop('t_network_busy'), 2500);
                    $('#searchinput').val('');
                    $("#search .ev_btn_loadmore").text("");
                    $("#search .ev_btn_loadmore").off('tap');
                }

                break;
            }
    }

    hideInformMessage();
}

/**
 * 手机调用
 * 搜索结果界面
 * @param content
 */
function m_searchSuccseeFunction(content) {
    if (!$("#singers")) {
        return;
    }
    void 0;
    var data = JSON.parse(content);
    switch (data.cmdid) {
        case "songinfo":
            {
                if (data.errorcode == 0) {
                    var json = data.records.record;
                    totalSongNum = data.records.totalnum;
                    var returnnum = data.records.returnnum;
                    if (totalSongNum == '0' && currentSingerNum == '0') {
                        // 歌星和歌曲结果都没有
                        $("#search .ev_btn_loadmore").text($.i18n.prop('p_search_info_no_result'));
                        $('#search_result').text('');
                    } else {
                        $('#search_result').text($.i18n.prop('p_search_info_result'));
                        var isKp = 'none';
                        var isOnline = 'none';
                        var isCollected = 'none';
                        var collected = false;
                        var htmlString = '';
                        if (json) {
                            $.each(json, function (n, value) {
                                if (!value.kp || value.kp === '0') {
                                    isKp = 'none';
                                } else {
                                    isKp = 'inline-block';
                                }
                                if (value.online && value.online !== '0') {
                                    isOnline = 'inline-block';
                                } else {
                                    isOnline = 'none';
                                }
                                collected = checkIfSongInArray(value.songid, userCollectionList);
                                isCollected = collected ? 'inline-block' : 'none';
                                var temp = '<li class="ev_li_search_song" id="' + value.songid + '" data-collected=' + collected + '><img src="images/diange/icon_default_bg.png" class="ev_image_search"><p class="detailSongName textColorWhite">' + value.songname + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><p class="detailSingerName textColorgray">' + value.songstername;
                                if (window.isForMV) {
                                    temp = temp + '</P><div data-role="none" class="ev_btn_dingGe_Cover" style="padding: 18px 0"><img src="images/diange/makeMV.png" alt="" style="width: 13px;margin: 0 auto 8px auto;display: block;"><p class="textColorWhite" style="margin: 0 auto;text-align: center">'+ $.i18n.prop('p_makeMV') +'</p></div></li>'
                                } else {
                                    temp = temp + '</p><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>'
                                }
                                htmlString = htmlString + temp;
                            });
                            $("#singers").append(htmlString).listview('refresh');
                        }
                        var singers_children = document.getElementById('singers').children;
                        if (singers_children) {
                            var num = singers_children.length - parseInt(currentSingerNum);
                            var loadMoreBtn = $("#search .ev_btn_loadmore");
                            if (returnnum == '0') {
                                loadMoreBtn.text($.i18n.prop('songListLoadmore_noMoreSong'));
                            } else {
                                loadMoreBtn.text($.i18n.prop('songListLoadmore_loadMore'))
                                    .one("tap", loadMoreSearchResult);
                            }
                        }
                    }
                } else {
                    showInformMessage('error', data.errormessage, 2500);
                }
                break;
            }
        case "singerinfo":
            {
                if (data.errorcode == 0) {
                    currentSingerNum = data.records.returnnum;
                    if (parseInt(data.records.returnnum) > 0) {
                        var json = data.records.record;
                        var htmlString = '';
                        $.each(json, function (n, value) {
                            var temp;
                            if (mobile_isOfflineStb()) {
                                temp = "<li class='ev_li_search_singer' id='" + value.id + "-" + value.name + "'><img src='" + data.fullurl + "' class='ev_image_search'><p class='search_singerN textColorWhite'>" + value.name + "</p><img src='./images/diange/ip_next_page.png' alt='' style='width:9px;height:15px;position:absolute;right:15px;top:24px;'></li>";
                                htmlString = htmlString + temp;
                            } else {
                                temp = "<li class='ev_li_search_singer' id='" + value.id + "-" + value.name + "'><img src='" + data.resourceurl + value.fid + "' class='ev_image_search'><p class='search_singerN textColorWhite'>" + value.name + "</p><img src='./images/diange/ip_next_page.png' alt='' style='width:9px;height:15px;position:absolute;right:15px;top:24px;'></li>";
                                htmlString = htmlString + temp;
                            }
                        });
                        $("#singers").append(htmlString).listview('refresh');
                        $("img").one("error", function (e) {
                            $(this).attr("src", "images/diange/icon_default_bg.png");
                        });
                    }
                    searchSongsData(data.params.key, 0, 20, null);
                } else {
                    showInformMessage('error', data.errormessage, 2500);
                }

                break;
            }
    }

    hideInformMessage();
}

//控制页面点击操作
var controlOperationCounts = 0;
function controlOperation(controlType, controlValue, controlStyle, flow_id) {
    if (sessionStorage.getItem("isConnected") != 'true') {
        showInformMessage('error', $.i18n.prop('t_please_connect_device'), 3500);
        return;
    }
    var connectType = sessionStorage.getItem("connectType");

    var paramas = '';
    var controlCmdid = '';
    var msg = '';

    if (controlStyle == 'control') {
        if (controlOperationCounts > 3) {
            showInformMessage("error", $.i18n.prop("Control_Operation_too_often"), 3500);
            return;
        }
        controlOperationCounts++;
        controlCmdid = 'E400';
        paramas = '{"cmdid":"mp_addDeviceOperation", "chip_id":"' + sessionStorage.getItem("device_sn") + '", "opCode":"30001",' + '"paramas":{"cmdid":"' + controlCmdid + '",' + '"sn":"' + sessionStorage.getItem("device_sn") + '", "user_id":"' + sessionStorage.getItem(connect_userID) + '","controltype":"' + controlType + '","controlvalue":"' + controlValue + '","roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"} }';
        msg = '操作成功';
    }
    else if (controlStyle == 'control_flow_id') {
        if (controlOperationCounts > 3) {
            showInformMessage("error", $.i18n.prop("Control_Operation_too_often"), 3500);
            return;
        }
        controlOperationCounts++;
        controlCmdid = 'E400';
        paramas = '{"cmdid":"mp_addDeviceOperation", "chip_id":"' + sessionStorage.getItem("device_sn") + '", "opCode":"30001",' + '"paramas":{"cmdid":"' + controlCmdid + '",' + '"sn":"' + sessionStorage.getItem("device_sn") + '", "user_id":"' + sessionStorage.getItem(connect_userID) + '","controltype":"' + controlType + '","controlvalue":"' + controlValue + '","flow_id":"' + flow_id + '","roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"} }';
        if (controlType == "40") {
            msg = $.i18n.prop('t_diange_Success');
        } else if (controlType == "41") {
            msg = $.i18n.prop('t_top_song_success');
        } else if (controlType == "42") {
            msg = $.i18n.prop('t_delete_song_success');
        }
    }
    else if (controlStyle == 'danmu') {
        controlCmdid = 'E408';
        paramas = '{"cmdid":"mp_addDeviceOperation", "chip_id":"' + sessionStorage.getItem("device_sn") + '", "opCode":"30007",' + '"paramas":{"cmdid":"' + controlCmdid + '",' + '"sn":"' + sessionStorage.getItem("device_sn") + '", "user_id":"' + sessionStorage.getItem(connect_userID) + '", "blessingstring":"' + controlValue + '","roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"} }';
        msg = '弹幕发送成功';
    } else if (controlStyle == 'song_order') {
        controlCmdid = 'E400';
        paramas = '{"cmdid":"mp_addDeviceOperation", "chip_id":"' + sessionStorage.getItem("device_sn") + '", "opCode":"30001",' + '"paramas":{"cmdid":"' + controlCmdid + '",' + '"sn":"' + sessionStorage.getItem("device_sn") + '", "user_id":"' + sessionStorage.getItem(connect_userID) + '","controltype":"' + controlType + '","controlvalue":"' + controlValue + '","roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"} }';
        if (controlType == "40") {
            msg = $.i18n.prop('t_diange_Success');
        } else if (controlType == "41") {
            msg = $.i18n.prop('t_top_song_success');
        } else if (controlType == "42") {
            msg = $.i18n.prop('t_delete_song_success');
        }
    }

    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: paramas
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (connectType == "wan" && data.errorcode == invalidBindcode) {
                showInformMessage('error', data.errormessage, 3500);
                wx_dialogPopupConfirm();
                return;
            }
            if (controlType != '20') { //音量操作不提示
                showInformMessage('success', msg, 2000);
            }
            if (controlType == "40" || controlType == "41" || controlType == "42" || (controlType == "10" && controlValue == "2")) {
                if (connectType == 'lan') {
                    //局域网绑定，安卓本地处理并更新已点列表
                }
                else {
                    //外网绑定，更新已点数组
                    changeSongOrderList(controlType, controlValue);
                }
            }
            if (controlStyle == 'control' || controlStyle == 'control_flow_id') {
                controlOperationCounts--;
            }
            PageChangeCallback(true);
        },
        error: function (xhr, textStatus, errorThrown) {
            if (controlStyle == 'control' || controlStyle == 'control_flow_id') {
                controlOperationCounts--;
            }
            ajaxErrorCallback(xhr, textStatus, errorThrown);
        }
    });
}

//请求已点已唱列表
function getSongOrderdOrSungList(isForOrder) {
    //	showInformMessage('loading', '  请求666中...', 3500);
    if (sessionStorage.getItem("isConnected") != 'true') {
        showInformMessage('error', $.i18n.prop('t_please_connect_device'), 4500);
        return;
    }

    var param = "";
    if (isForOrder) {
        param = '{"cmdid":"mp_addDeviceOperation","opCode":"30002","chip_id":"' + sessionStorage.getItem("device_sn") + '","paramas":{"user_id": "' + sessionStorage.getItem(connect_userID) + '","cmdid":"E402","start_pos":0,"num":100000,"roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"}}';

    } else {
        param = '{"cmdid":"mp_addDeviceOperation","opCode":"30003","chip_id":"' + sessionStorage.getItem("device_sn") + '","paramas":{"user_id": "' + sessionStorage.getItem(connect_userID) + '","cmdid":"E412","start_pos":0,"num":100000,"roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"}}';
    }
    var connectType = sessionStorage.getItem("connectType");
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: param
        },
        beforeSend: function (request) {
            hideInformMessage();
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (connectType == "wan" && data.errorcode == invalidBindcode) {
                showInformMessage('error', data.errormessage, 3500);
                wx_dialogPopupConfirm();
                return;
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            if (isForOrder) {
                //停止刷新
                void 0;
                stopRefreshingOrderList(false);
            }
            ajaxErrorCallback(xhr, textStatus, errorThrown);
        }
    });
}

// 发送连接心跳
function sendE410Heartbeat() {

    var param = '{"cmdid":"mp_addDeviceOperation","opCode":"30010","chip_id":"' + sessionStorage.getItem("device_sn") + '","paramas":{"customerid": "' + sessionStorage.getItem(connect_userID) + '","cmdid":"E410","customer":"' + sessionStorage.getItem('userName') + '","mpid":"' + sessionStorage.getItem('mobileId') + '","roombindingcode":"' + sessionStorage.getItem("roombindingcode") + '"}}';;
    var connectType = sessionStorage.getItem("connectType");
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: param
        },
        beforeSend: function (request) {
            hideInformMessage();
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (connectType == "wan" && data.errorcode == invalidBindcode) {
                showInformMessage('error', data.errormessage, 3500);
                wx_dialogPopupConfirm();
                return;
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            ajaxErrorCallback(xhr, textStatus, errorThrown);
        }
    });
}

var array_songOrderd = [];
function songOrderRequestSuccess(data) {

    if (sessionStorage.getItem("isConnected") !== 'true') {
        showInformMessage('error', $.i18n.prop('t_please_connect_device'), 3500);
        return;
    }
    //停止刷新
    void 0;
    stopRefreshingOrderList(true);

    if (data === null) {
        return;
    }

    if (!data.records.totalnum || data.errorcode !== "0" || data.records.totalnum === '0') {
        $("#songRefreshList").empty();
        $('#no_orders_text').show();
    } else {
        $('#no_orders_text').hide();
        reloadSongOrderList(data.records.record, false);
        array_songOrderd = data.records.record;
    }
}
//已点数据界面刷新
function reloadSongOrderList(songOrderdArray, isLanData) {
    var num = 0;
    var isKp = 'none';
    var isCollected = 'none';
    var media_label = 'none';
    var media_text = '';
    var collected = false;
    var obj = $('#songRefreshList');
    obj.empty();
    var htmlString = '';
    void 0;

    $.each(songOrderdArray, function (n, value) {
        console.log('getting order dic --- ' + JSON.stringify(value));
        if (n < 10) {
            num = '0' + n;
        } else {
            num = n;
        }
        if (!value.kp || value.kp === '0') {
            isKp = 'none';
        } else {
            isKp = 'inline-block';
        }
        void 0;

        if(value.media_type_name != undefined  && value.media_type_name != null && value.media_type_name != 'null' && value.media_type_name.length > 0) {
            // console.log('getting order dic 0000 ' + JSON.stringify(JSON.parse(value.media_type_name)));
            var saved_lang_cookie = getCookie('center_language');
            console.log('get current language code ' + saved_lang_cookie);

            // if(isLanData === true) {
            if (typeof value.media_type_name === 'string') {
                value.media_type_name = JSON.parse(value.media_type_name); //机顶盒回来的数据 转成json
            }

            // }

            console.log(saved_lang_cookie + '  == get current language code after' + value.media_type_name.zh_CN + ' : ' + value.media_type_name['en']);
            if(value.media_type_name['en'] != undefined &&  value.media_type_name['en'] !='score') {
                media_label = 'inline-block';

                if(saved_lang_cookie === 'zh_CN') {
                    media_text = value.media_type_name['zh_CN'];
                }
                else if(saved_lang_cookie === 'zh-Hant'){
                    media_text = value.media_type_name['zh-Hant'];
                }
                else if(saved_lang_cookie === 'vi') {
                    media_text = value.media_type_name['vi'];
                }
                else if(saved_lang_cookie === 'en') {
                    media_text = value.media_type_name['en'];
                }
                else {
                    media_text = value.media_type_name['zh_CN'];
                }
            }
            else {
                media_label = 'none';
            }
        }
        else {
            if (!value.media_type || value.media_type == '0') {
                media_label = 'none';
            }
            else  {
                media_label = 'inline-block';
                if (value.media_type == '1') {
                    media_text = '照片MV';
                } else if (value.media_type == '2') {
                    media_text = '电影';
                } else {
                    media_label = 'none';
                }
            }
        }
        collected = checkIfSongInArray(value.songid, userCollectionList);
        isCollected = collected ? 'inline-block' : 'none';
        var temp;
        if (n === 0) {
            temp = '<li id="' + value.songid + '" class="li_orderd" style = "padding-left:40px;" data-collected=' + collected + '><img src="./images/diange/audio.svg" alt="" class="img_zaibo"><p class="detailSongName textColorWhite detailSongName_Order">' + decodeURIComponent(value.songname) + '</p>'+
                '<p style="display: '+media_label+' !important;" data-role="none" class="media_label">'+media_text+'</p>'+
                // '<img src="images/diange/photoMVSong.png" alt="" class="photoMVSong" style="display:'+isPhotoMV+'">'+
                '<br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><p class="detailSingerName textColorgray">' + decodeURIComponent(value.singername) + '</p><div data-role="none" class="ev_btn_songSungSave_Cover"><button class="ev_btn_dingGe" data-role="none"><img src="./images/diange/ip_icon_next_song.png" alt="切歌" class="img_nextsong">' + $.i18n.prop("p_control_switch") + '</button></div><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
            htmlString = htmlString + temp;
        } else {

            var flow_id = '';
            if(value.flow_id != undefined) {
                flow_id = value.flow_id;
            }
            console.log(value.songname + '  getting flow_id 222---- ' + flow_id);
            temp = '<li flow_id="' + flow_id + '" id="' + value.songid + '" class="li_orderd" data-collected=' + collected + '><p class="listNumber textColorWhite">' + num + '</p><p class="detailSongName detailSongName_Order2 textColorWhite">' + decodeURIComponent(value.songname) + '</p>'+
                '<p style="display: '+media_label+' !important;" data-role="none" class="media_label">'+media_text+'</p>'+
                // '<img src="images/diange/photoMVSong.png" alt="" class="photoMVSong" style="display:'+isPhotoMV+'">'+
                '<br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><p class="detailSingerName textColorgray">' + decodeURIComponent(value.singername) + '</p><div data-role="none" class="ev_btn_songSungSave_Cover"><button class="ev_btn_dingGe" data-role="none"><img src="./images/diange/ip_dingge.png" alt="顶歌" class="img_dingge">' + $.i18n.prop("p_top_song") + '</button></div><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
            htmlString = htmlString + temp;
        }
    });
    obj.append(htmlString).listview('refresh');
}
/**
 * 已点界面刷新
 * 由手机端调用
 * @param content
 */
function m_songOrderRequestSuccess(content) {

    if (content === null || sessionStorage.getItem("connectType") === "wan") {
        stopRefreshingOrderList(false);
        return;
    }
    //停止刷新
    void 0;
    void 0;
    console.log('receiving  ' + content);
    var m_data = JSON.parse(content);

    if (!m_data.records.totalnum || m_data.errorcode !== '0' || m_data.records.totalnum === '0') {
        $("#songRefreshList").empty();
        $('#no_orders_text').show();
        stopRefreshingOrderList(false);
    } else {
        $('#no_orders_text').hide();
        reloadSongOrderList(m_data.records.record, true);
        stopRefreshingOrderList(true);
    }
}
function changeSongOrderList(controlType, controlValue) {

    switch (controlType) {
        case 40: { //点歌操作
            if (!checkIfSongInArray(controlValue, array_songOrderd)) {
                var song = getSongInfoByID(controlValue);
                array_songOrderd.push(song);
            }
            break;
        }
        case 41: {//顶歌操作
            var song;
            if (checkIfSongInArray(controlValue, array_songOrderd)) {
                var index = $('#songRefreshList ' + '#' + controlValue + ' .listNumber').text();
                index = parseInt(index);
                song = array_songOrderd[index];
                array_songOrderd.splice(index, 1);
            } else {
                song = getSongInfoByID("#" + controlValue);
            }
            array_songOrderd.splice(1, 0, song);
            break;
        }
        case 42: {//删歌操作
            console.log('delete song..');
            var a = '#songRefreshList ' + '#' + controlValue + ' .listNumber';
            var b = $(a).text();
            var index = parseInt(b);
            array_songOrderd.splice(index, 1);
            break;
        }
        case "10": {//切歌操作
            array_songOrderd.shift();
            break;
        }
        default: break;
    }
    //更新已点数组，当前是已点页面，刷新数据，否则不刷新，已点页面出现再刷新。
    if (window.location.href.split('#')[1] == "songOrderPage" && isOrderPageShow) {
        reloadSongOrderList(array_songOrderd);
    }
}
function getSongInfoByID(song_id) {
    var _songli = $('#' + song_id);
    var _songName = _songli.children(".detailSongName").text();
    var _singerName = _songli.children(".detailSingerName").text();
    var _isKp = _songli.children(".ev_image_pingfen").css('display') == 'none' ? '0' : '8';
    return {
        songid: song_id,
        songname: _songName,
        singername: _singerName,
        kp: _isKp
    }
}
//已点列表绑定事件
function orderListBindOperation() {
    $('#songRefreshList').on('tap', '.songListExpansion #expansionDG', function () {
        var songListObj = $(this).parent().prev('.li_orderd')
        if (songListObj.hasClass('ui-first-child')) {
            // alert('first');
            showInformMessage('error', $.i18n.prop('t_order_can_not_delete'), 3500);
        } else {
            // console.log(songListObj.attr('id'));
            var songID = songListObj.attr('id');
            expansionSongListLi(songListObj, true);

            var flow_id = songListObj.attr('flow_id');
            console.log('getting flow id delete song ' + flow_id);

            var kpType = songListObj.css('display') == "none" ? "0" : "8";
            void 0;
            selectedViewDelSong(songID, kpType, flow_id);
        }
    });
    $('#songRefreshList').on('tap', '.songListExpansion #expansionSC', function () {
        var thisObj = $(this);
        expansionLiClickCollection(thisObj);
    });
    $('#songRefreshList').on('tap', 'li:first-child .ev_btn_songSungSave_Cover', function () {
        this.firstElementChild.className = "ev_btn_dingGe btn_animation";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_icon_next_song.png');
        orderListOperation(this.parentNode.id, true);
        return false;
    });
    $('#songRefreshList').on('touchstart', 'li:first-child .ev_btn_songSungSave_Cover', function (event) {
        this.firstElementChild.className = "ev_btn_dingGe btn_hightLight";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_icon_next_song_H.png');
    });

    $('#songRefreshList').on('touchmove', 'li:first-child .ev_btn_songSungSave_Cover', function (event) {
        this.firstElementChild.className = "ev_btn_dingGe btn_animation";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_icon_next_song.png')
    });
    $('#songRefreshList').on('tap', 'li:not(:first-child) .ev_btn_songSungSave_Cover', function (event) {
        this.firstElementChild.className = "ev_btn_dingGe btn_animation";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge.png');

        var flow_id = '';
        if(this.parentNode.getAttribute("flow_id")) {
            flow_id = this.parentNode.getAttribute("flow_id");
        }
        orderListOperation(this.parentNode.id, false, flow_id);
        return false;
    });
    $('#songRefreshList').on('touchstart', 'li:not(:first-child) .ev_btn_songSungSave_Cover', function (event) {
        this.firstElementChild.className = "ev_btn_dingGe btn_hightLight";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge_H.png');
    });
    $('#songRefreshList').on('touchmove', 'li:not(:first-child) .ev_btn_songSungSave_Cover', function (event) {
        this.firstElementChild.className = "ev_btn_dingGe btn_animation";
        this.firstElementChild.firstElementChild.setAttribute('src', './images/diange/ip_dingge.png')
    });
    $('#songRefreshList').on('tap', 'li .ev_btn_dingGe_Cover', function () {
        expansionSongListLi($(this.parentElement), true);
        return false;
    });
}
//已点列表 点歌事件
function orderListOperation(listId, isNext, flow_id) {
    if (listId == null) {
        showInformMessage('error', $.i18n.prop('t_order_song_failed_not_exist'), 3500);
        return;
    }

    //  var numAndSongid = listId.split('-');
    //  if(numAndSongid == null || numAndSongid.length < 2) {
    //      showInformMessage('error', $.i18n.prop('t_order_song_failed_not_exist'), 3500);
    //      return;
    //  }

    if (isNext) {
        selectedViewCutSong(listId);
        mobile_umengEventStat('songorderd_page_click_event', '点击-切歌');
        _hmt.push(['_trackEvent', '已点页面', '点击', '切歌', '']);
    } else {
        console.log('receive flow id ' , flow_id);
        selectedViewTopSong(listId, flow_id);
        mobile_umengEventStat('songorderd_page_click_event', '点击-顶歌');
        _hmt.push(['_trackEvent', '已点页面', '点击', '顶歌', '']);
    }
}

// 已点列表 切歌
function orderListQiege() {
    requestControlDeviceOperation('10', '2', 'control', ''); //切歌
}

//已唱数据界面刷新
function songSungRequestSuccess(data) {
    if (!$("#song_sung_list")) {
        return;
    }
    if (data == null) {
        return;
    }
    $("#song_sung_list").empty();
    if (data.records.totalnum == '0') {
        $('#no_sung_text').show();
    } else {
        $('#no_sung_text').hide();
        var num = 0;
        var isKp = 'none';
        var isCollected = 'none';
        var collected = false;
        var htmlString = '';
        for (var i = parseInt(data.records.totalnum) - 1, j = 1; i >= 0; i-- , j++) {
            var value = data.records.record[i];

            console.log('getting sung dic E413 ' + JSON.stringify(value));


            if (j < 10) {
                num = '0' + j;
            } else {
                num = j;
            }
            if (!value.kp || value.kp == '0') {
                isKp = 'none';
            } else {
                isKp = 'inline-block'
            }
            collected = checkIfSongInArray(value.songid, userCollectionList);
            isCollected = collected ? 'inline-block' : 'none';
            var temp = '<li id="' + value.songid + '" class="li_orderd" data-collected=' + collected + '><p class="listNumber textColorWhite">' + num + '</p><p class="detailSongName textColorWhite">' + decodeURIComponent(value.songname) + '</p><br><img class="ev_image_collection" style="display:' + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKp + '"><p class="detailSingerName textColorgray">' + decodeURIComponent(value.singername) + '</p><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
            htmlString = htmlString + temp;
        }
        $("#song_sung_list").append(htmlString).listview('refresh');
    }
}
/**
 * 已唱界面刷新
 * 由手机调用
 * @param content
 */
function m_songSungRequestSuccess(content) {
    void 0;


    if (content == null) {
        return;
    }
    var data = JSON.parse(content);
    if (!$("#song_sung_list")) {
        return;
    }
    hideInformMessage();
    var song_sung_list = $("#song_sung_list");
    if (data.errorcode != '0') {
        showInformMessage('error', data.errormessage, 3500);
        if (song_sung_list.children('li').length > 0) {
            loadmorBtn.text($.i18n.prop('songListLoadmore_loadMore'));
            loadmorBtn.one('tap', function () {
                loadmorBtn.text($.i18n.prop('t_loading_text'));
                requestSungNextPageData();
            });
        }
        return;
    }
    var loadmorBtn = $('#loadmoreSongSung');
    if (data.records.isFirstPage) {
        song_sung_list.empty();
    }
    if (data.records.totalnum == '0') {
        $('#no_sung_text').show();
        loadmorBtn.hide();
    } else {
        $('#no_sung_text').hide();
        var num = song_sung_list.children('li').length;
        var isKp = 'none';
        var isCollected = 'none';
        var collected = false;
        var hasShareCode = 'none';
        var media_label = 'none';
        var media_text = '';
        var listNum;
        var htmlString = '';
        $.each(data.records.record, function (n, value) {
            num++;
            if (num < 10) {
                listNum = '0' + num;
            } else {
                listNum = '' + num
            }
            if (!value.kp || value.kp == '0') {
                isKp = 'none';
            } else {
                isKp = 'inline-block';
            }

            if(value.media_type_name != undefined  && value.media_type_name != null && value.media_type_name != 'null' && value.media_type_name.length > 0) {
                // console.log('getting order dic 0000 ' + JSON.stringify(JSON.parse(value.media_type_name)));
                var saved_lang_cookie = getCookie('center_language');
                console.log('get current language code E413 ' + saved_lang_cookie);

                // if(isLanData === true) {
                if (typeof value.media_type_name === 'string') {
                    value.media_type_name = JSON.parse(value.media_type_name); //机顶盒回来的数据 转成json
                }

                // }

                console.log(saved_lang_cookie + '  E413 == get current language code after' + value.media_type_name.zh_CN + ' : ' + value.media_type_name['en']);
                if(value.media_type_name['en'] != undefined &&  value.media_type_name['en'] !='score') {
                    media_label = 'inline-block';

                    if(saved_lang_cookie === 'zh_CN') {
                        media_text = value.media_type_name['zh_CN'];
                    }
                    else if(saved_lang_cookie === 'zh-Hant'){
                        media_text = value.media_type_name['zh-Hant'];
                    }
                    else if(saved_lang_cookie === 'vi') {
                        media_text = value.media_type_name['vi'];
                    }
                    else if(saved_lang_cookie === 'en') {
                        media_text = value.media_type_name['en'];
                    }
                    else {
                        media_text = value.media_type_name['zh_CN'];
                    }
                }
                else {
                    media_label = 'none';
                }
            }
            else {
                if (!value.media_type || value.media_type == '0') {
                    media_label = 'none';
                }
                else  {
                    media_label = 'inline-block';
                    if (value.media_type == '1') {
                        media_text = '照片MV';
                    } else if (value.media_type == '2') {
                        media_text = '电影';
                    } else {
                        media_label = 'none';
                    }
                }
            }
            void 0;
            if (value.sharecode && value.sharecode.length > 0) {
                hasShareCode = 'inline-block';
            } else {
                hasShareCode = 'none';
            }
            collected = checkIfSongInArray(value.songid, userCollectionList);
            isCollected = collected ? 'inline-block' : 'none';

            var flow_id = '';
            if(value.flow_id != undefined) {
                flow_id = value.flow_id;
            }
            console.log(value.songname + '  getting flow_id E413---- ' + flow_id);//to be continued

            var temp = '<li id="' + value.songid +
                '" class="li_orderd" data-collected=' + collected + '><p class="listNumber textColorWhite">' +
                listNum + '</p><p class="detailSongName textColorWhite detailSongName_Order2">' +
                value.songname +
                '</p>'+
                '<p style="display: '+media_label+' !important;" data-role="none" class="media_label">'+media_text+'</p>'+
                // '<img src="images/diange/photoMVSong.png" alt="" class="photoMVSong" style="display:'+isPhotoMV+'">'+
                '<br>'+
                '<img class="ev_image_collection" style="display:' + isCollected +
                '" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src="./images/diange/ip_pingfen.png" style="display:' + isKp + '">' +
                '<p class="detailSingerName textColorgray">' + value.singername + '</p>' +
                '<div id=' + value.sharecode + ' data-role="none" class="ev_btn_songSungSave_Cover" style="display:' + hasShareCode + '">' +
                '<button  class="ev_btn_dingGe btn_upload" data-role="none">' +
                '<img src="images/diange/ip_dingge.png" alt="" class="img_dingge">' + $.i18n.prop("t_save") +
                '</button>' +
                '</div>' +
                '<div data-role="none" class="ev_btn_dingGe_Cover">' +
                '<img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion">' +
                '</div></li>';
            htmlString = htmlString + temp;

        });
        song_sung_list.append(htmlString).listview('refresh');
        loadmorBtn.show();
        if (data.records.startpos == '0') {
            loadmorBtn.text($.i18n.prop('t_noMore_SungSong'));
            loadmorBtn.off('tap');
        } else {
            loadmorBtn.text($.i18n.prop('songListLoadmore_loadMore'));
            loadmorBtn.one('tap', function () {
                loadmorBtn.text($.i18n.prop('t_loading_text'));
                requestSungNextPageData();
            });
        }
    }
}
//已唱列表 点击
function songSungListOperation() {
    $('#song_sung_list').on('tap', '.li_orderd', function (event) {
        if (event.target.nodeName != 'DIV') {
            this.className = "li_orderd ui-li-static ui-body-inherit ui-li-has-thumb ui-first-child"
            songSungListAddSong(this.id)
            mobile_umengEventStat('songorderd_page_click_event', '点击-点歌');
            _hmt.push(['_trackEvent', '已点页面', '点击', '点歌', '']);
            return false;
        } else {
            return true;
        }
    });
    $('#song_sung_list').on('touchstart', '.li_orderd', function (event) {
        if (event.target.nodeName != 'DIV') {
            this.className = "li_orderd ui-li-static ui-body-inherit ui-li-has-thumb ui-first-child hightLightBgColor";
            return true;
        }
    });
    $('#song_sung_list').on('touchmove', '.li_orderd', function (event) {
        this.className = "li_orderd ui-li-static ui-body-inherit ui-li-has-thumb ui-first-child"
    });
    $('#song_sung_list').on('tap', 'li .ev_btn_dingGe_Cover', function (event) {
        void 0;
        expansionSongListLi($(this.parentElement));
        return false;
    });
    $('#song_sung_list').on('tap', '.songListExpansion #expansionDG', function () {
        var songListObj = $(this).parent().prev('.li_orderd');
        // console.log(songListObj.attr('id'));
        // clickDinggeButton(songListObj.attr('id'));
        void 0;
        songSungListTopSong(songListObj.attr('id'));
        //      requestControlDeviceOperation(41, songListObj.attr('id'), 'song_order', '');

    });
    $('#song_sung_list').on('tap', '.songListExpansion #expansionSC', function () {
        var thisObj = $(this);
        expansionLiClickCollection(thisObj);
    });
    $('#song_sung_list').on("tap", "li .ev_btn_songSungSave_Cover", function (event) {
        if (!sessionStorage.getItem('user_id')) {
            if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                showInformMessage('error', $.i18n.prop("t_Login_BeforeUpLoad"), 2500);
                sessionStorage.setItem('login_top_level', '');
                changePage('loginPage.html', 'none');
            }
            else {
                showInformMessage('error', $.i18n.prop("t_not_support_this_function"), 2500);
            }
        } else {
            showInformMessage('loading', '', 3500);
            uploadSongSung(event.target.getAttribute("id"), function (isSuccess, data) {
                void 0;
                if (data.errorcode == '0') {
                    showInformMessage('success', $.i18n.prop("UpLoad_Process_Wait"), 3500);
                } else {
                    showInformMessage('error', data.errormessage, 3500);
                }

            });
        }

    });
}

//手机，清除已唱
function m_clearSungList() {
    $("#song_sung_list").empty();
    $('#loadmoreSongSung').off('tap');
    $('#loadmoreSongSung').hide();
    //  $('#no_sung_text').show();
}
//顶歌
function clickDinggeButton(song_id) {
    requestControlDeviceOperation(41, song_id, 'song_order', '');
}
var songOrderInterval;
var sendE410HeartbeatInterval;
function checkSongOrderList() {
    void 0;
    if (sessionStorage.getItem("isConnected") == 'false') {
        $('#songRefreshList').empty();
        $('#no_orders_text').show();
        void 0;
    } else {
        if (sessionStorage.getItem("connectType") == "wan") {
            void 0;
            if ($('#songRefreshList').children('li').length <= 0) {
                getSongOrderdOrSungList(true);
            } else {
                reloadSongOrderList(array_songOrderd);
                void 0;
            }
        }
    }
}

function checkSongSungList() {
    if (sessionStorage.getItem('isConnected') == 'false') {
        $('#song_sung_list').empty();
        $('#no_sung_text').show();
    } else {
        if (sessionStorage.getItem("connectType") == "wan") {
            // if ($('#song_sung_list').children('li').length <= 0) {
            getSongOrderdOrSungList(false);
            // }
        }
    }
}

/**
 * 统一解析是否含有相关字段， i.e. sy_feature:是否支持微信点歌  sn:机顶盒sn
 * @param  sUrl:二维码完整URL
 * @param  keyword:需要获取的字段
 * @param  isConvertRequired:是否需要从十进制转化为二进制
 * e.g sUrl:'http://download.duochang.cc&sn=F1JSA02000738&sy_feature=1/?barcode=3200000219216819912474', 'sy_feature', 'true'
 */
function parseDeviceQrcodeValue(sUrl, keyword, isConvertRequired) {
    var isWxdiangeAvailable = sUrl.indexOf(keyword);
    if (isWxdiangeAvailable > 0) {
        isWxdiangeAvailable = isWxdiangeAvailable;
        sUrl = sUrl.substring(isWxdiangeAvailable);

        if (sUrl != null && sUrl.length > 0) {
            var sSep = sUrl.split('?');
            var sFeatureValue = '';

            if (sSep[0] != null) {
                if (sSep[0].split('&').length > 1) {
                    var sSepFilter = sSep[0].split('&');
                    sFeatureValue = sSepFilter[0];
                    sFeatureValue = sFeatureValue.split('=');
                } else {
                    sFeatureValue = sSep[0].split('=');
                }
                sFeatureValue = stripscript(sFeatureValue[1]);
            }

            if (isConvertRequired) {
                if (sFeatureValue != null && sFeatureValue.length > 0) {
                    var featureValueBinary = sFeatureValue.toString(2);
                    sFeatureValue = featureValueBinary.charAt(featureValueBinary.length - 1)
                }
            }

            // console.log('parse qrcode result ' + sFeatureValue);

            return sFeatureValue;
        } else {
            return false;
        }
    }
}

//二维码解析方法， 是否有sn
function separateQrcodeUrl(sUrl) {
    var isSnAvailable = sUrl.indexOf("sn");
    if (sUrl != null && isSnAvailable > 0) {
        var sSep = sUrl.split('?');
        /*for(var i=0;i<sSep.length;i++) {
            console.log('current log' + sSep[i]);
        }*/
        var sBarCodeSn = '';
        if (sSep[0] != null) {
            sBarCodeSn = sSep[0].split('&');
        }
        if (sBarCodeSn != null) {
            sBarCodeSn = sBarCodeSn[1].split('=');
            sBarCodeSn = stripscript(sBarCodeSn[1]);
        }
        return sBarCodeSn;
    } else {
        return '';
    }
}

//二维码解析， 是否有barcode
function getBarCodeFromQrcodeUrl(sUrl) {
    var isSnAvailable = sUrl.indexOf("barcode");
    if (sUrl != null && isSnAvailable > 0) {
        var sSep = sUrl.split('?');
        /*for(var i=0;i<sSep.length;i++) {
            console.log('current log' + sSep[i]);
        }*/
        var sBarCode = '';
        if (sSep[1] != null) {
            sBarCode = sSep[1].split('=');
        }
        if (sBarCode != null) {
            sBarCode = stripscript(sBarCode[1]);
        }
        //alert('returning ' + sBarCode);
        return sBarCode;
    } else {
        return '';
    }
}

function stripscript(s) {
    var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）\" ——|{}【】‘；：”“'。，、？]");
    var rs = "";
    for (var i = 0; i < s.length; i++) {
        rs = rs + s.substr(i, 1).replace(pattern, '');
    }
    return rs;
}

function connectDuoChangDevice() {

}

//版本号修改
function wx_setAppVersion(version) {
    $('.p_app_name').text($.i18n.prop('p_app_name'));
    $('.p_app_version').text('v' + version);
}

//进入多唱APP下载页面
function setEntryTitle(title) {
    $('#appEntry').text(title);
}

function wx_updateAppEntry(title) {
    var u = navigator.userAgent;
    if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) { //安卓手机
        showInformMessage('success', $.i18n.prop('t_in_developing'), 2500);
    } else if (u.indexOf('iPhone') > -1) { //苹果手机
        sessionStorage.setItem("out_url", "http://user.duochang.cc/Record/Index/introduce.html");
        sessionStorage.setItem("iframe_title", $.i18n.prop('t_iframe_title_downloadapp'));
        sessionStorage.setItem("iframe_top_level", $.i18n.prop('p_tab_me'));

        changePage("iframePage.html", "slide");
    }
}

function wx_deviceConnection() {

}

//请求用户信息， 微信验证
function requestUserInfo(callBack) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/requestUserInfo", //"../home_ktv/Home/User/requestUserInfo",
        dataType: "json",
        data: {
            body: '{"cmdid":"user_request_info", "user_id":"'+sessionStorage.getItem("user_id")+'", "password":"'+sessionStorage.getItem("passWord")+'", "grant_code":"'+sessionStorage.getItem("grantCode")+'"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader("Product-Information", "dc_phone/1.0.0/1.9.1/android/default");
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            // alert("success" + JSON.stringify(data));
            void 0;
            if (data.errorcode == 0) {
                $('.nickName').text(data.nickname);
                sessionStorage.setItem("userName", data.nickname);
                sessionStorage.setItem("userBirthDay", data.birthday);
                sessionStorage.setItem("userSex", data.sex);
                sessionStorage.setItem("duochangId", data.dc_id);
                sessionStorage.removeItem("avatarUrlHead");
                wx_setUserInitialAvatarID(data.small_avatar_file_id,function () {
                    readUserInfo();
                    void 0;
                    updateUserInfo(data.nickname, sessionStorage.getItem("userAvatarUrl"), data.birthday, data.sex, sessionStorage.getItem("user_id"));
                }); //头像设置
                callBack(true);
            } else {
                showInformMessage('error', $.i18n.prop('t_check_failed_to_login'), 9000);
                callBack(false);
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            callBack(false);
            ajaxErrorCallback(xhr, textStatus, errorThrown);
        }
    });
}

//个人中心头像设置
function wx_setUserAvatar(avatarurl) {
    $(".userAvatar").attr('src', avatarurl);
}

//我-头像设置
function wx_setUserInitialAvatarID(avatarurlid,callback) {
    void 0;
    var urlHead = sessionStorage.getItem("avatarUrlHead");
    var avatarurl = "";
    if(urlHead && urlHead.length > 0) {
        avatarurl = urlHead + '?fileid=' + avatarurlid;
        $("#avater").attr('src', avatarurl);
        sessionStorage.setItem("userAvatarUrl", avatarurl);
        void 0;
        if (callback instanceof Function) {
            callback();
        }
    } else  {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem("server_ip"),
            dataType: "json",
            data: {
                body: '{"cmdid":"bs_picture_url_head"}'
            },
            beforeSend: function (request) {
                request.setRequestHeader("Product-Information", "dc_phone/1.0.0/1.9.1/android/default");
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                if (data.errorcode == 0) {
                    sessionStorage.setItem("avatarUrlHead",data.r);
                    wx_setUserInitialAvatarID(avatarurlid,callback);
                }
            },
            error: function (xhr, textStatus, errorThrown){
                sessionStorage.setItem('userAvatarUrl','images/diange/ip_default_useravater.png');
                sessionStorage.removeItem("avatarUrlHead");
                $("#avater").attr('src', 'images/diange/ip_default_useravater.png');            }
        });
    }


}

//个人中心-头像根据URL显示
//手机端调用
function m_setUserAvatar(url) {
    sessionStorage.setItem("userAvatarUrl", url);
    wx_setUserAvatar(url);
}

//我-头像根据URL显示
//手机端调用
function m_setUserInitialAvatar(url) {
    sessionStorage.setItem("userAvatarUrl", url);
    $("#avater").attr('src', url);
}

function wx_setUserInfo(nick, sex, birthday, duochangId) {
    if (duochangId == null) {
        $('#duochangIdInput').val('');
    } else {
        $('#duochangIdInput').val(duochangId);
    }
    if (nick == null) {
        $('#editName').val('');
    } else {
        $('#editName').val(nick);
    }
    if (birthday == null || birthday.length < 10) {
        $('#userBirthday').text($.i18n.prop('t_user_info_select'));

    } else {
        $('#birthdaySelect').val(birthday);
        $('#userBirthday').text(birthday);
    }
    switch (sex) {
        case '0':
            {
                $('#sexSelect').val("0");
                $('#userSex').text($.i18n.prop('t_user_info_secret'));
                break;
            }
        case '1':
            {
                $('#sexSelect').val("1");
                $('#userSex').text($.i18n.prop('t_user_info_male'));

                break;
            }
        case '2':
            {
                $('#sexSelect').val("2");
                $('#userSex').text($.i18n.prop('t_user_info_female'));

                break;
            }
        default:
            {
                $('#sexSelect').val("0");
                $('#userSex').text($.i18n.prop('t_user_info_secret'));
                break;
            }
    }
}

function readUserInfo() {
    var nick = sessionStorage.getItem("userName");
    var avatarurl = sessionStorage.getItem("userAvatarUrl");
    var birthday = sessionStorage.getItem("userBirthDay");
    var sex = sessionStorage.getItem("userSex");
    var duochangId = sessionStorage.getItem("duochangId");
    wx_setUserAvatar(avatarurl);
    wx_setUserInfo(nick, sex, birthday, duochangId);
}

function modifyUserInfo(changeNick,callBack) {
    var userName = changeNick ? '", "nickname":"' + sessionStorage.getItem('userName') + '"' : '"';
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/updateOneInfo",
        dataType: "json",
        data: {
            body: '{"cmdid":"user_modify_info", "user_id":"'+sessionStorage.getItem("user_id")+'", "password":"'+sessionStorage.getItem('passWord')+'", "grant_code":"'+sessionStorage.getItem('grantCode')+'", "update_info":{"sex":"'+sessionStorage.getItem('userSex')+ userName+', "birthday":"'+sessionStorage.getItem('userBirthDay')+'"}}'
        },
        beforeSend: function (request) {
            request.setRequestHeader("Product-Information", "dc_phone/1.0.0/1.9.1/android/default");
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == 0) {
                //              showInformMessage('success', '保存成功', 2500);
                //              sessionStorage.setItem("userName", nick);
                //              $('#nickName').text(nick);
                if (callBack instanceof Function) {
                    callBack(data,status);
                }
            } else {
                showInformMessage('error', data.errormessage, 2500);
            }

        },
        error: ajaxErrorCallback
    });
}

function sexChange() {
    var objS = document.getElementById("sexSelect");
    var select = '0';
    switch (objS.value) {
        case '0':
            {
                $('#userSex').text($.i18n.prop('t_user_info_secret'));
                // savaUserInfo('key=sex&value=' + 0);
                select = '0';
                break;
            }
        case '1':
            {
                $('#userSex').text($.i18n.prop('t_user_info_male'));
                // savaUserInfo('key=sex&value=' + 1);
                select = '1';
                break;
            }
        case '2':
            {
                $('#userSex').text($.i18n.prop('t_user_info_female'));
                // savaUserInfo('key=sex&value=' + 2);
                select = '2';
                break;
            }
        default:
            {
                // savaUserInfo('key=sex&value=' + 0);
                select = '0';
                $('#userSex').text($.i18n.prop('t_user_info_secret'));
                break;
            }
    }
    if (select != sessionStorage.getItem('userSex')) {
        sessionStorage.setItem('userSex',select);
        savaUserInfo(false);
    }
}

function birthdayChange() {
    var objS = document.getElementById("birthdaySelect");
    //invalidateDateWithFormat(objS.value, 'yyyy-MM-dd');
    $('#userBirthday').text(objS.value);
    sessionStorage.setItem('userBirthDay',objS.value);
    savaUserInfo(false);
    // savaUserInfo('key=birthday&value=' + objS.value);
}

/*function invalidateDateWithFormat(date, format) {
    var tera = new Date();
    var dateYear = date.split('-');
    if (dateYear[0] > dateFormat(tera, format)) {
        $('#userBirthday').text(dateFormat(tera, format));
        return;
    }

    $('#userBirthday').text(date);
}*/

//重置搜索页面
function resetSearchPage() {
    if ($("#singers")) {
        $("#singers").empty();
    }
    if ($('#search_result')) {
        $('#search_result').text(' ');
    }
    if ($('#searchinput')) {
        $('#searchinput').val('');
    }

    if (document.getElementById('searchLoadMoreBtn')) {
        document.getElementById('searchLoadMoreBtn').innerHTML = $.i18n.prop('p_search_page_info_text');
    }

    if ($("#search .ev_btn_loadmore")) {
        $("#search .ev_btn_loadmore").unbind("tap", loadMoreSearchResult);
    }
}

function loadMoreSearchResult() {
    $("#search .ev_btn_loadmore").text($.i18n.prop('t_loading_text'));
    var currentResult = document.getElementById('singers');
    if (currentResult) {
        var totalNum = currentResult.children.length;
        var starts = parseInt(totalNum) - parseInt(currentSingerNum) + parseInt(1);
        var key = $('#searchinput').val();
        searchSongsData(key, starts, 20);
        // console.log("" + starts);
    }
}

function upLoadMediaId(mediaId) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/updateAvatarByWxMediaId",
        dataType: "json",
        data: {
            media_id: mediaId
        },
        success: function (data, status) {
            if (data.errorCode == 0) {
                showInformMessage('success', $.i18n.prop('t_upload_success'), 2500);
                wx_setUserAvatar(data.small_url);
                sessionStorage.setItem("userAvatarUrl", data.small_url);
                $("#avater").attr('src', data.small_url);
                //alert(data.url);
            } else {
                showInformMessage('error', $.i18n.prop('t_upload_failed'), 2500);
            }
        },
        error: ajaxErrorCallback
    });
}

//IOS下强制修改TITLE
function changeTitle(strTitle) {
    var $body = $('body');
    document.title = strTitle;
    var $iframe = $("<iframe frameborder=\"no\" border=\"0\" width=\"0\" height=\"0\"  src='./images/diange/error.png'></iframe>");
    $iframe.on('load', function () {
        setTimeout(function () {
            $iframe.off('load').remove();
        }, 0);
    }).appendTo($body);
}

/*
//设置cookie，e.g 有效期为365天
e.g setCookie('username','123',365);

//取回，若cookie失效，将返回空
getCookie('username');
*/
function setCookie(c_name, value, expiredays) {
    var exdate = new Date();
    exdate.setHours(exdate.getHours() + expiredays ? expiredays : 6);
    //	var aaa = 1 * 1 * 1 * 10 * 1000;
    //	exdate.setTime(exdate.getTime() + aaa);
    //	alert('getting date ' + exdate.getTime() + expiredays);
    document.cookie = c_name + "=" + escape(value) + ((expiredays === null) ? "" : ";expires=" + exdate.toGMTString())
}

//取回cookie
function getCookie(c_name) {
    if (document.cookie.length > 0) {
        var c_start = document.cookie.indexOf(c_name + "=");
        if (c_start !== -1) {
            c_start = c_start + c_name.length + 1;
            var c_end = document.cookie.indexOf(";", c_start);
            if (c_end === -1) c_end = document.cookie.length;
            return unescape(document.cookie.substring(c_start, c_end))
        }
    }
    return ""
}

// 获取Url参数
function getParamFromUrl(key, url) {
    var searchUrl = url || window.location.href;
    var reg = new RegExp("(^|&)" + key + "=([^&]*)(&|$)", "i");
    var r = searchUrl.substr(searchUrl.indexOf('?') + 1).match(reg);
    if (r != null) return unescape(r[2]); return null;
}

// 添加Url参数
function addParamToUrl (key, value, url) {
  var index = url.indexOf('#')
  return (index > -1 ? url.substr(0, index) : url) + (url.indexOf('?') > -1 ? '&' : '?') + key + '=' + value
}

//首页布局适配
var windowWidth;
var scanHeight;

function adjustMainPageLayout() {
    // windowWidth = document.body.clientWidth;
    // zjf - 修复banner和搜索设备UI消失的Bug
    windowWidth = window.screen.width;

    $(".sliderBannerTop").css({
        "height": windowWidth * 0.416 - 1,
        "width": windowWidth
    });
    $(".sliderBannerTop .bd li img").css({
        "height": windowWidth * 0.416 - 1,
        "width": windowWidth
    });

    scanHeight = windowWidth * 0.826;
    var circleHeight = windowWidth * 0.68;
    var waveAnimHeight = scanHeight - 42;
    var animBlock = 0 - scanHeight * 0.75;

    console.log('scanCodeTop: ' + scanHeight + ',' + windowWidth)
    $("#scanCodeTop").css({
        "height": scanHeight,
        "width": windowWidth
    });
    $("#id_scan_button").css({
        "top": (waveAnimHeight - windowWidth * 0.4) / 2
    });
    $('#searchDeviveText_wifi').css({
        "top": (scanHeight - 80) / 2 - 2
    });
    $('#searchDeviveText_gprs').css({
        "top": (scanHeight - 63) / 2
    });
    $(".radar").css({
        "top": (scanHeight - windowWidth * 0.64) / 2
    });
    $('#waveAnim').css({
        "height": scanHeight
    });
    //  $(".circle").css({
    //      "height": circleHeight,
    //      "top": (waveAnimHeight - circleHeight) / 2,
    //  });
    //  var scanCodeButtonTopDistance = $("#scanCodeTop").height() - $("#scanCodeTop").height() * 0.33;
    //  scanCodeButtonTopDistance = 0 - scanCodeButtonTopDistance;
    //
    //  var scan_buttonWidth = windowWidth * 0.3;
    //  scan_buttonWidth = 0 - scan_buttonWidth / 1.5;
    //  $("#id_scan_button").css({
    //      "top": $("#scanCodeTop").height() / 2.4,
    //      "margin-left": scan_buttonWidth
    //  });
    //
    //  $("#waveAnim").css({
    //      "margin-top": animBlock
    //  });
}

//水波动画循环 jquery

//css3
/*function preAnimeWave() {
    var $waveCircle = $('<div class="animationWave"></div>');
    $waveCircle.css({
        "top": scanHeight / 1.6 + scanHeight / 30
    });

    $('#scanCodeTop').append($waveCircle);
    setTimeout(function __remove() {
        $waveCircle.remove();
    }, 13000);
}*/

function addCircle(speed) {
    //var rad = $(window).width();
    var $circle = $('<div class="circle"></div>');
    $circle.css({
        "top": scanHeight / 1.6 + scanHeight / 30
    });

    $circle.animate({
        'width': '250px',
        'height': '250px',
        'margin-top': '-125px',
        'margin-left': '-125px',
        'opacity': '0'
    }, speed * 6.5, 'easeOutCirc', function () { });
    $('#waveAnim').append($circle);
    setTimeout(function __remove() {
        $circle.remove();
    }, speed * 5);
}

//水波动画
function starWaveAnimation() {
    var ts = -20;
    $(".circle").each(function (index, elelment) {
        setaction(ts, elelment);
        ts += 20;
    });
}
//旋转动画
function startRadarAnimation() {
    var minDeg = 0;
    var radar = $('.radar');
    setInterval(function () {
        minDeg += 1;
        if (minDeg > 360) {
            minDeg = 0;
        }
        radar.css({
            'transform': 'rotate(' + minDeg + 'deg)',
            '-webkit-transform': 'rotate(' + minDeg + 'deg)'
        });
    }, 10);
}

function setaction(t, e) {
    var minsize = 0.35;
    var maxsize = 1;
    var minopa = 0;
    var maxopa = 0.25;

    setInterval(function () {
        if (t >= 100) {
            t = 0
        }
        t += 0.5

        var csize = minsize + ((maxsize - minsize) / 100) * t;
        var copa = maxopa - ((maxopa - minopa) / 100) * t;

        if (csize < 0.45) {
            copa = 0
        }

        $(e).css({
            'opacity': copa,
            'transform': 'scale(' + csize + ',' + csize + ')',
            '-webkit-transform': 'scale(' + csize + ',' + csize + ')'
        });
        $(e).css({});
    }, 80);
}

//预加载图片
function preloadImage() {
    new Image().src = "./images/diange/nextsong_H.png";
    new Image().src = "./images/diange/accompanysing_H.png";
    new Image().src = "./images/diange/playpause_H.png";
    new Image().src = "./images/diange/sinagain_H.png";
    new Image().src = "./images/diange/musicreduce_H.png";
    new Image().src = "./images/diange/musicincrease_H.png";
    new Image().src = "./images/diange/ipatmosphere_H.png";
    new Image().src = "./images/diange/ipscore_H.png";
    new Image().src = "./images/diange/tail_spin.svg";
    new Image().src = "./images/diange/success.png";
    new Image().src = "./images/diange/error.png";
    new Image().src = "./images/diange/list_bg.png";
    new Image().src = "./images/diange/controlPage/ip_control_circle.png";
    new Image().src = "./images/diange/controlPage/ip_control_direction_ok.png";
    new Image().src = "./images/diange/controlPage/ip_control_direction_up.png";
    new Image().src = "./images/diange/controlPage/ip_control_ctrlMore.png";
}

//机顶盒断开弹出窗口-取消
function wx_dialogPopupCancel() {
    hideDialogAlert();
}

//弹出
function wx_dialogPopup() {
    showDialogAlert($.i18n.prop('t_whether_disconnect_with_device'));
    $("#btn_device_confirm").on("tap", function (event) {
        //alert('确定');
        wx_dialogPopupConfirm();
        return false;
    });
}

//弹出-确定
function wx_dialogPopupConfirm() {

    hideDialogAlert();

    disconnectFromDevice(function (isSuccess) {
        if (isSuccess === true) {
            // showInformMessage('success', $.i18n.prop('t_already_disconnect_with_device'), 4500);
            // sessionStorage.setItem("isConnected", 'false');
            // void 0;
            // wx_resetCookie();
            // $("#btn_connectStatus").text($.i18n.prop('dc_connectDevice_title'));
            disconnectDeviceComplete();
        } else {
            showInformMessage('error', $.i18n.prop('t_disconnect_failed'), 4500);
        }
        $("#btn_device_confirm").off("tap");
    });

    mobile_disconnectDevice();
}
//弹出退出登录确认
function logOutConfirm() {
    showDialogAlert($.i18n.prop('t_confirm_logout'));
    $("#btn_device_confirm").one("tap", function (event) {
        //alert('确定');
        void 0;
        userLogout(true);
        hideDialogAlert();
        return false;
    });
}
//清除COOKIE
function wx_resetCookie() {
    setCookie('isConnected', 'false', 1);
    setCookie(connect_userID, '', 1);
    setCookie('device_sn', '', 1);
    setCookie('roombindingcode', '', 1);
}

/**
 * android 界面适配处理逻辑
 */



//android 顶部导航条
function resetNavBar(currentpageId, currentPageTitle, lastPageTitle, backBtnStyle) {
    // if (isHybirdApp()) {
    document.getElementsByClassName('nav_bar')[0].style.display = 'block';
    document.getElementById(currentpageId).style.top = '48px';
    document.getElementsByClassName('nav_backButton')[0].style.display = backBtnStyle;
    var arr_navP = $('.nav_bar p');
    arr_navP[0].innerHTML = lastPageTitle;
    arr_navP[1].innerHTML = currentPageTitle;

    $(".nav_backButton")
        .unbind('click')
        .on("click", function (event) {
        history.back();
        return false;
    });
    // }
}

//android 网络状态改变  WIFI - 1  蜂窝网络 - 0
function m_connectTypeChanged(connectType) {
    void 0;
    // Android 9.0 取消自动发现功能，默认显示为扫码
    // FIXME: 2020/3/30 去掉自动发现功能 by-lfh
     $('#searchDeviveText_gprs').show();
     $('#searchDeviveText_wifi').hide();
//    if (connectType === 1 && mobile_getAndroidSDK() < 28) {
//        $('#searchDeviveText_wifi').show();
//        $('#searchDeviveText_gprs').hide();
//    } else {
//        $('#searchDeviveText_gprs').show();
//        $('#searchDeviveText_wifi').hide();
//    }

    if (connectType === 1) {
        if (sessionStorage.getItem('isConnected') === "true" && sessionStorage.getItem("connectType") === 'wan') {
            void 0;
            wxConnectDeviceByLocal();
        }
    } else if (connectType === 0) {
        if (sessionStorage.getItem('isConnected') === "true" && sessionStorage.getItem(WAN_songOrder) === "1" && sessionStorage.getItem("connectType") === 'lan') {
            sessionStorage.setItem("connectType", 'wan');
            sessionStorage.setItem("isConnected", "false");
            //解绑局域网
            void 0;
            mobile_unbindRoom();
            getWebsocketConnectInfo();
        }
    }
}

//用户登录
function userLogin(account, password, showMsg, accountType) {
    void 0;
    if (showMsg) {
        showInformMessage('loading', $.i18n.prop('t_logging'), 3000);
    }
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/normalLogin",
        dataType: "json",
        data: {
            body: '{"cmdid":"user_login", "account":"'+ account +'", "password":"'+ password +'"}'
            // 'account=' + account + '&password=' + password
        },
        beforeSend: function (request) {
            // hideInformMessage();
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode === '0') {
                // if (showMsg) {
                //     showInformMessage('success', $.i18n.prop('t_login_success'), 3500);
                // }
                sessionStorage.setItem('user_id', data.user_id);
                sessionStorage.setItem('passWord',password);
                sessionStorage.setItem('grantCode','');
                requestUserInfo(function (success) {
                    if (success) {
                        //获取用户收藏列表 - zjf - 与songListDetail中重复导致多发一次请求
                        // getUserCollectionList();
                        //刷新热门歌曲
                        //              getHotPlayList("0", "3");
                        $('#userInfo').off('tap').on("tap", function (event) {
                            if (pageUserShow) {
                                pageUserShow = false;
                                if (sessionStorage.getItem('isUserCenterSupported') === 'true') {
                                    changePage("#userCenterPage", "slide");
                                }
                                mobile_umengEventStat('me_setting_page_click_event', '点击-用户信息');
                                _hmt.push(['_trackEvent', '我', '点击', '用户信息', '']);
                            }
                            return false;
                        });

                        if (showMsg) {
                            showInformMessage('success', $.i18n.prop('t_login_success'), 3500);
                        }

                        history.back();
                        saveUserLoginInfo(account, password, accountType, false);
                    } else {
                        sessionStorage.removeItem('user_id');
                    }
                });
            } else {
                if (showMsg) {
                    showInformMessage('error', data.errormessage, 3500);
                }
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            void 0;
            if (showMsg) {
                ajaxErrorCallback(xhr, textStatus, errorThrown);
            }
        }
    });
}

/**
 * 用户登录
 * 由手机调用
 * @param account
 * @param password
 */
function m_userLogin(account, password, type) {
    userLogin(account, password, false, type);
}
/**
 *第三方登录 手机调用
 *
 */
function m_getThirdAuthorize(typeString, content) {
    showInformMessage('loading', $.i18n.prop('t_logging'), 3000);
    var data = JSON.parse(content);
     void 0;
    var params;
    var grant_code;
    var type = -1;
    switch (typeString) {
        case 'weichat':
            {

                // params = 'grant_type=3&grant_code=' + data.unionid + '&third_name=' + data.nickname + '&gender=' + data.sex + '&avatar_url=' + data.headimgurl;
                params = '{"cmdid":"user_fast_login", "grant_type":"3", "grant_code":"'+data.unionid+'","third_name":"'+data.nickname+'","gender":"'+data.sex+'","avatar_url":"'+data.headimgurl+'"}';
                grant_code = data.unionid;
                type = 3;
                break;
            }
        case 'facebook': {
            var genderType = 0;
            var genderValue = data.gender;
            if('男' == genderValue || 'male' == genderValue) { genderType = 1; }
            if('女' == genderValue || 'female' == genderValue) { genderType = 2; }
            // params = 'grant_type=5&grant_code=' + data.id + '&third_name=' + data.name + '&gender=' + genderType + '&avatar_url=' + data.picture.data.url;
            params = '{"cmdid":"user_fast_login", "grant_type":"5", "grant_code":"'+data.id+'","third_name":"'+data.name+'","gender":"'+genderType+'","avatar_url":"'+data.picture.data.url+'"}';
            type = 5;
            grant_code = data.id;
            break;
        }
        default:
            {
                return;
            }
    }
    //  console.log('第三方登录2'+params);
    thirdLogin(params, true, type, grant_code);
}

function m_thirdAutoLogin(grantType, grantCode) {
    // '{"cmdid":"user_fast_login", "grant_type":"'+grantType+'", "grant_code":"'+grantCode+'"}'
    // var params = 'grant_type=' + grantType + '&grant_code=' + grantCode;
    var params =  '{"cmdid":"user_fast_login", "grant_type":"'+grantType+'", "grant_code":"'+grantCode+'","third_name":"","gender":"","avatar_url":""}';
    void 0;
    thirdLogin(params, false, grantType, grantCode)
}

function thirdLogin(data, isShowInfo, grantType, grantCode) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/fastRegister",
        dataType: "json",
        data: {
            body: data
        },
        beforeSend: function (request) {
            request.setRequestHeader("Product-Information", "dc_phone/1.0.0/1.9.1/android/default");
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode == 0) {
                if (isShowInfo) {
                    showInformMessage('success', $.i18n.prop('t_login_success'), 3500);
                }
                sessionStorage.setItem('user_id', data.user_id);
                sessionStorage.setItem('grantCode', grantCode);
                sessionStorage.setItem('passWord','');
                requestUserInfo(function (success) {
                    if (success){
                        //获取用户收藏列表 - zjf - 与songListDetail中重复导致多发一次请求
                        // getUserCollectionList();
                        //刷新热门歌曲
                        $('#userInfo').off('tap').on("tap", function (event) {
                            if (pageUserShow) {
                                pageUserShow = false;
                                if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                                    changePage("#userCenterPage", "slide");
                                }
                                mobile_umengEventStat('me_setting_page_click_event', '点击-用户信息');
                                _hmt.push(['_trackEvent', '我', '点击', '用户信息', '']);
                            }
                            return false;
                        });
                        history.back();
                        saveUserLoginInfo(grantCode, grantCode, grantType, true);
                    }
                });

            } else {
                if (isShowInfo) {
                    showInformMessage('error', data.errormessage, 3500);
                }
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            void 0;
            if (isShowInfo) {
                ajaxErrorCallback(xhr, textStatus, errorThrown);
            }
        }
    });
}
//退出登录
function userLogout(isGoback) {
    // $.ajax({
    //     type: "POST",
    //     url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/loginOutAjax", //      dataType: "json",
    //     success: function (data, status) {
            sessionStorage.removeItem("userName");
            sessionStorage.removeItem('user_id');
            sessionStorage.setItem('userAvatarUrl','images/diange/ip_default_useravater.png');
            sessionStorage.removeItem("avatarUrlHead");
            $("#avater").attr('src', 'images/diange/ip_default_useravater.png');
            $('#userInfo').off('tap');
            $('#userInfo').on("tap", function (event) {
                if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                    sessionStorage.setItem('login_top_level', $.i18n.prop('p_nav_me'));
                    changePage("loginPage.html", "none");
                }
                return false;
            });
            //清空收藏数组
            userCollectionList = [];
            void 0;
            userLogoutFinish();

            if (isGoback) {
                history.back();
            }
        // },
        // error: ajaxErrorCallback
    // });
}

//找回密码
function userResetPassWord(account, new_password, check_code, type) {
    showInformMessage('loading', $.i18n.prop('t_committing'), 3000);
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/forgotPwdByAccount",
        dataType: "json",
        data: {
            body: '{"cmdid":"user_pwd_by_account", "account":"'+ account +'", "check_code":"'+ check_code +'", "new_password":"'+ new_password +'"}'
            // 'type=' + type + '&account=' + account + '&check_code=' + check_code + '&password=' + new_password
        },
        beforeSend: function (request) {
            hideInformMessage();
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            //          alert('bb' + JSON.stringify(data));
            if (data.errorcode == '0') {
                hideInformMessage();
                showInformMessage('success', $.i18n.prop('t_modify_success'), 3500);
                sessionStorage.setItem('account', account);
                sessionStorage.setItem('passWord', new_password);
                history.back();
            } else {
                showInformMessage('error', data.errormessage, 3500);
            }
        },
        error: ajaxErrorCallback
    });
}
//请求验证码
function requestValidateCode(account, type) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/sendCode",
        dataType: "json",
        data: {
            body: '{"cmdid":"user_send_check_code", "type":"'+ type +'", "account":"'+ account+'"}'
            // 'type=' + type + '&account=' + account
        },
        beforeSend: function (request) {
            hideInformMessage();
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == '0') {
                showInformMessage('success', $.i18n.prop('t_verification_code_has_been_sent'), 3500);
            } else {
                showInformMessage('error', data.errormessage, 3500);
            }
        },
        error: ajaxErrorCallback
    });
}
//手机号注册
function register(account, password, check_code, accountType) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),//domainName + "/Home/User/normalRegister",
        dataType: "json",
        // data: 'type=' + accountType + '&account=' + account + '&password=' + password + '&check_code=' + check_code,
        data: {
          body: '{"cmdid":"user_register", "account":"'+ account +'", "password":"'+ password +'", "check_code":"'+ check_code +'"}'
        },
        beforeSend: function (request) {
            hideInformMessage();
            if (isHybirdApp()) {
                request.setRequestHeader("Product-Information", "dc_phone/1.0.0/1.9.1/android/default");
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            } else {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            }
        },
        success: function (data, status) {
            //          alert('dd' + JSON.stringify(data));
            if (data.errorcode == '0') {
                showInformMessage('success', $.i18n.prop('t_register_success'), 3500);
                sessionStorage.setItem('account', account);
                userLogin(account, password,true,accountType);
                history.back();
            } else {
                showInformMessage('error', data.errormessage, 3500);
            }
        },
        error: ajaxErrorCallback
    });
}

/**
 * 获取用户作品
 * @param startpos
 * @param requestnum
 */
function requestUserWorks(startpos, requestnum, PageChangeOnComplete) {
    // $.ajax({
    //     type: "POST",
    //     url: sessionStorage.getItem("server_ip"),
    //     dataType: "json",
    //     data: { //4365
    //         body: '{"cmdid":"ru_get_record_list","startpos":"' + startpos + '","requestnum":"' + requestnum + '","userid":"' + sessionStorage.getItem('user_id') + '"}'
    //     },
    //     beforeSend: function (request) {
    //         request.setRequestHeader(header_product_key, header_product_value);
    //         request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
    //     },
    //     success: function (data, status) {
    //         if (data.errorcode == 0) {
    //             PageChangeOnComplete(true, data);
    //         } else {
    //             PageChangeOnComplete(false, null);
    //         }
    //     },
    //     error: ajaxErrorCallback
    // });

    // zjf - 大眼分享 - 获取所有作品
    $.ajax({
      type: 'GET',
      url: apiUrl + '/wechat/work/' + sessionStorage.getItem('user_id'),
      dataType: 'json',
      success: function (data) {
          console.log(JSON.stringify(data))
        if (data.errorcode == 0) {
          PageChangeOnComplete(true, data.data);
        } else {
          PageChangeOnComplete(false, null);
        }
      },
      error: ajaxErrorCallback
    })
}

/**
 * 获取首页热门歌曲列表
 * @param startpos
 * @param requestnum
 */
function m_requestHotSongsData() {
    requestHotSongsData("0", "10");
}


/**
 * 设置机顶盒绑定状态
 * @param {是否绑定} isBind 
 * @param {E407返回内容} content 
 */
function m_setBindLocalDeviceStatus(isBind, content, bindType) {
    void 0;
    if (content instanceof Object) {
        void 0
    }
    if (isBind == true) {
        void 0;
        wx_resetCookie();
        sessionStorage.setItem("isConnected", 'true');
        sessionStorage.setItem("connectType", "lan");
        if (!content) {
            void 0;
            return;
        }
        sessionStorage.setItem("device_sn", content.stbserialnumber);
        sessionStorage.setItem("stbSerialNumber", content.stbserialnumber);
        sessionStorage.setItem("roombindingcode", content.roombindingcode);
        //如果有外网绑定，解绑。
        client && client.disconnect();
        m_setStbSerialNumber(content.stbserialnumber);
        m_setSyFeature(content.sy_feature);
        m_setExternalDevice(content.dc_external_device);
        content.roomname && $('#t_deviceName').text(decodeURIComponent(content.roomname));
        var countryCode = content.countryCode;
        // zjf - 海外通用接口 - 仅供测试
//        countryCode = 'os';
        setCountryCode(countryCode);
        //bindType 2--扫描绑定
        if (bindType == 2 && sessionStorage.getItem(isSupportAuth) == "1" && window.location.href.indexOf("#bindAuthPage") < 0) {
            void 0;
            changePage("#bindAuthPage", "none");//跳转到授权页面
        }
        hideInformMessage();
        void 0;
    } else {
        if (sessionStorage.getItem('connectType') == "lan") {
            void 0;
            sessionStorage.setItem("isConnected", 'false');
            sessionStorage.removeItem("connectType");
            $('#op_audioEffect').removeAttr('disabled');
            $('#op_light').removeAttr('disabled');
            $('#op_temperature').removeAttr('disabled');
            $('#t_deviceName').text('');
            $("#btn_connectStatus").text($.i18n.prop('btn_connectStatus'));
            m_setStbSerialNumber('');
            m_setSyFeature('');
            m_setExternalDevice('');
            void 0;
            showScanAnimation();
        }
    }
}
/**
 * 授权结果
 */
function m_authResult(errorcode, errormsg) {
    void 0;
    if (errorcode == "0") {
        authSuccess();
    } else {
        authFail(errormsg);
    }
}

//显示软件更新提示
function m_showUpdateRedSport() {
    $('#update1').css({
        'display': 'inline-block'
    });
    $('#update2').css({
        'display': 'inline-block'
    });
}

function m_hideMeRedSport() {
    $('#update1').css({
        'display': 'none'
    });
}

function m_hideUpdateRedSport() {
    $('#update2').css({
        'display': 'none'
    });
}

function m_changeDeviceNum(num) {
    $('#deviceNum').text(num);
}

//请求歌单
function getHotPlayList(startpos, num) {
    requestHotPlaylistsData(startpos, num, function (isSuccess, data) {
        if (isSuccess) {
            processHotPlaylistsData(data);
            setPageReloadStatus('page_home', false);
            //hideInformMessage();
        } else {
            showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 2500);
            //alert("网络错误，请检查网络是否正常");
        }
    });
}

function m_getHotPlayList(startpos, num) {
    getHotPlayList(startpos, num);
}

//展开列表
function expansionSongListLi(songListLi, isForOrder) {
    var nextObj = songListLi.next();
    if (nextObj.hasClass("songListExpansion")) {
        //      $(".songListExpansion").animate({
        //          height: '0px'
        //          transform: scale(1,0);
        //          -webkit-transform: scale(1,0);
        //      }, 0, function() {
        //          $(this).remove();
        nextObj.remove();
        //      });
    } else {
        var obj = $(".songListExpansion");
        // console.log(obj);
        if (obj.length > 0) {
            //          obj.animate({
            //          height: '0px'
            //          transform: scale(1,0);
            //          -webkit-transform: scale(1,0);
            //          }, 0, function() {
            //              $(this).remove();
            obj.remove();
            addExpansionSongListLi(songListLi, isForOrder);
            //          });
        } else {
            addExpansionSongListLi(songListLi, isForOrder);
        }
    }
}

function addExpansionSongListLi(songLi, isForOrder) {
    var collecImg = "./images/diange/ip_collecticon.png";
    var collectText = $.i18n.prop("t_collect");
    var rightBtnText = $.i18n.prop("t_delete");
    // console.log(typeof songLi.data('collected'));
    if (songLi.data('collected')) {
        collecImg = './images/diange/ip_collected.png';
        collectText = $.i18n.prop("t_disCollect");
    }
    if (isForOrder) {
        songLi.after('<li class = "songListExpansion textColorWhite"><button class="ev_btn_expansionLi" data-role = "none" id="expansionSC"><img src="' + collecImg + '" alt="" class="ev_btn_expansionImg"/><p class="ev_expansionLiText textColorWhite">' + collectText + '</p></button><button class="ev_btn_expansionLi" data-role = "none" id="expansionDG"><img src="./images/diange/ip_delete.png" alt="" class="ev_btn_expansionImg"/><p class="ev_expansionLiText textColorWhite">' + $.i18n.prop("t_delete") + '</p></button></li>');
    } else {
        songLi.after('<li class = "songListExpansion textColorWhite"><button class="ev_btn_expansionLi" data-role = "none" id="expansionSC"><img src="' + collecImg + '" alt="" class="ev_btn_expansionImg"/><p class="ev_expansionLiText textColorWhite">' + collectText + '</p></button><button class="ev_btn_expansionLi" data-role = "none" id="expansionDG"><img src="./images/diange/ip_dingge.png" alt="" class="ev_btn_expansionImg"/><p class="ev_expansionLiText textColorWhite">' + $.i18n.prop("p_top_song") + '</p></button></li>');
    }

}

function expansionLiClickCollection(btnObj) {
    // console.log(sessionStorage.getItem('user_id'));
    if (sessionStorage.getItem('isUserCenterSupported') != 'true') {
        showInformMessage('error', $.i18n.prop("t_not_support_this_function"), 2500);
        return;
    }
    if (!sessionStorage.getItem('user_id')) {
        showInformMessage('error', $.i18n.prop("t_user_collection_login"), 2500);
        sessionStorage.setItem('login_top_level', '');
        changePage('loginPage.html', 'none');
        return;
    }

    var songListObj = btnObj.parent().prev('li');
    var isCollected = songListObj.data('collected');
    var songIdList = new Object();
    songIdList.songid = songListObj.attr('id')
    void 0;
    //  '{"songid":"'+songListObj.attr('id')+'"}';
    if (isCollected == true) {
        btnObj.children('img').attr('src', './images/diange/ip_collecticon.png');
        btnObj.children('p').text($.i18n.prop("t_collect"));
        songListObj.children('.ev_image_collection').hide();
        deleteUserFavoriteList(songIdList);
    } else {
        btnObj.children('img').attr('src', './images/diange/ip_collected.png');
        btnObj.children('p').text($.i18n.prop("t_disCollect"));
        songListObj.children('.ev_image_collection').show();
        songIdList.songid = pad(songListObj.attr('id'), 8)
        addUserFavoriteList(songIdList);
    }
    songListObj.data('collected', !isCollected);
}

//用户收藏sessionStorage.setItem('user_id', data.userId);
function getUserCollectionList(callBackFunc, collecList) {
    if (!sessionStorage.getItem('user_id')) {
        if ($("#songList")) {
            $("#songListLoadmore").text($.i18n.prop("t_user_collection_login")).one('tap', function (event) {
                //                  showInformMessage('error', $.i18n.prop("t_user_collection_login"), 2500);
                if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                    sessionStorage.setItem('login_top_level', '');
                    changePage('loginPage.html', 'none');
                }
                return false;
            });
        }

        hideInformMessage();
        return;
    }
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"ru_favorite_download","userid":"' + sessionStorage.getItem('user_id') + '","start":"0","num":"-1"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == '0') {
                userCollectionList = data.list;
                if ($("#songList")) {
                    if (data.returnnum > 0) {
                        var result = data.list;
                        var isKp = 'none';
                        var isCollected = 'none';
                        var collected = true;
                        var htmlString = '';
                        if (result instanceof Array) {
                            $.each(result, function (n, value) {
                                if (!value.name) {
                                    return true;
                                }
                                if (!value.isgrand || value.isgrand == 0) {
                                    isKp = 'none';
                                } else {
                                    isKp = 'inline-block';
                                }
                                isCollected = 'inline-block';

                                var num = (n + 1);
                                var size = ( num.toString().length + 1 ) * 10;
                                var li_style = 'padding-left: ' + ( num > 999 ? size : 40 ) + 'px !important';
                                var num_style = 'width: ' + ( num > 999 ? size : 40 ) + 'px !important';
                                var temp = '<li class="ev_li_songDetail" id="' + value.songid +
                                    '" data-collected=' + collected + ' style="' + li_style
                                    + '"><div class="detailSongNumber" style="' + num_style + '">' + ( num < 10 ? '0' + num : num )
                                    + '</div><p class="detailSongName textColorWhite">' + value.name + '</p><br><img class="ev_image_collection" style="display:'
                                    + isCollected + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:'
                                    + isKp + '"><p class="detailSingerName textColorgray">' + value.singername
                                    + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
                                htmlString = htmlString + temp;
                            });
                        }
                        $("#songList").append(htmlString).listview('refresh');
                        void 0;
                        void 0;
                        $("#songListLoadmore").text($.i18n.prop('songListLoadmore_noMoreSong'));
                    } else {
                        $("#songListLoadmore").text($.i18n.prop('Common_No_Song_Favorit'));
                    }
                }
            }
        },
        error: function (xhr, textStatus, errorThrown) {
            if ($("#songList")) {
                $("#songListLoadmore").text($.i18n.prop('t_load_failed_maybe_net_problem'));
                ajaxErrorCallback(xhr, textStatus, errorThrown);
            }
        }
    });
    hideInformMessage();
}
//添加收藏
function addUserFavoriteList(songIDList) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"ru_favorite_add","userid":"' + sessionStorage.getItem('user_id') + '","list":[' + JSON.stringify(songIDList) + ']}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == '0') {
                userCollectionList.push(songIDList);
                // console.log('收藏成功');
            }
        },
        error: ajaxErrorCallback
    });
}
//删除收藏
function deleteUserFavoriteList(songIDList) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"ru_favorite_del","userid":"' + sessionStorage.getItem('user_id') + '","list":[' + JSON.stringify(songIDList) + ']}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == '0') {
                deleteSongInUserCollectionList(songIDList);
            }
        },
        error: ajaxErrorCallback
    });
}
//刷新已有列表收藏状态
function reloadCollecStatusOfList(songLiist) {
    songLiist.children('.ev_li_songDetail').each(function () {
        var obj = $(this);
        var collected = checkIfSongInArray(obj.attr('id'), userCollectionList);
        obj.data('collected', collected);
        if (collected) {
            obj.children('.ev_image_collection').show();
        } else {
            obj.children('.ev_image_collection').hide();
        }
    });
}
function checkIfSongInArray(songID, songArray) {
    var isfind = false;
    var ID = songID;
    if (songID.length < 8) {
        ID = pad(ID, 8);
    }
    $.each(songArray, function (index, obj) {
        if (obj.songid == ID) {
            isfind = true;
            return false;
        }
    });
    return isfind;
}
//不足八位，补0
function pad(num, n) {
    var len = num.length;
    while (len < n) {
        num = "0" + num;
        len++;
    }
    return num;
}

function deleteSongInUserCollectionList(song) {
    $.each(userCollectionList, function (index, obj) {
        if (obj.songid == song.songid) {
            userCollectionList.splice(index, 1);
            return false;
        }
    });
}
//请求歌曲分类
var songCategory = []; //分类数组
var categorySongs = []; //歌曲数组
function requestSongCategory(callBackFunc) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem("server_ip"),
        dataType: "json",
        data: {
            body: '{"cmdid":"sn_song_rank_category"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            //			console.log(JSON.stringify(data));
            requestSongCategorySucess(data);
        },
        error: ajaxErrorCallback
    });
}
function m_requestSongCategorySucess(content) {
    void 0;
    void 0;
    var data = JSON.parse(content);
    // changeLanguageOfSongCategory(data.rankcategory);
    void 0;
    requestSongCategorySucess(data);
}
function changeLanguageOfSongCategory(data) {
    $.each(data, function (n, value) {
        switch (value.languagetype) {
            case "Zong": {
                data[n].languagename = $.i18n.prop('Common_SongType_TotalRank');
                break;
            }
            case "GuoYu": {
                data[n].languagename = $.i18n.prop('Common_SongType_MandarinSong');
                break;
            }
            case "YueYu": {
                data[n].languagename = $.i18n.prop('Common_SongType_CantoneseSongs');
                break;
            }
            case "MinNan": {
                data[n].languagename = $.i18n.prop('Common_SongType_TaiwaneseSongs');
                break;
            }
            case "QiTa": {
                data[n].languagename = $.i18n.prop('Common_SongType_OtherSongs');
                break;
            }
            case "LiuXing": {
                data[n].languagename = $.i18n.prop('Common_SongType_PopSongs');
                break;
            }
            case "QingGe": {
                data[n].languagename = $.i18n.prop('Common_SongType_LoveSongs');
                break;
            }
            case "ZuHe": {
                data[n].languagename = $.i18n.prop('Common_SongType_CombineSongs');
                break;
            }
            case "scorerank": {
                data[n].languagename = $.i18n.prop('Common_SongType_KTVMeSong');
                break;
            }
            case "YueNan": {
                data[n].languagename = $.i18n.prop('Common_SongType_YueNanSong');
                break;
            }
            default:
                break;
        }
    });
}
function requestSongCategorySucess(data) {
    if (data.errorcode == '0') {
        songCategory = data.rankcategory;
        setPageReloadStatus('page_songCategory', false);
        var songTypeList = $('.songTypeContainer .swiper-wrapper');
        songTypeList.empty();
        categorySongs = new Array();
        var htmlString = "";
        $.each(songCategory, function (n, value) {
            var temp = '<div class="swiper-slide songTypeSlide" id="' + n + '">' + value.languagename + '</div>';
            htmlString = htmlString + temp;
            categorySongs.push(new Array());
        });
        songTypeList.append(htmlString);
        songTypeList.children(':first').addClass('selectSongType'); reloadSongCategory(true);
        requestCategorySongs(0, 0, true);
        hideInformMessage();
    } else {
        showInformMessage('error', data.errormessage, 3000);
        setPageReloadStatus('page_songCategory', true);
        reloadSongCategory(false);
    }
}
//获取某类歌曲
function requestSongsOfCategory(index, startPos, isreload) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem('server_ip'),
        dataType: "json",
        data: {
            body: '{"cmdid":"sn_song_type","languagetype":' + songCategory[index].languagetype + ',"startpos":"' + startPos + '","requestnum":"20"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            void 0;
            if (data.errorcode == '0') {
                categorySongs[index] = categorySongs[index].concat(data.songid_list);
                if (parseInt($(".selectSongType").attr('id')) == index) {
                    requestSongsOfCategorySuccess(data.songid_list, isreload, index);
                }
                hideInformMessage();
            } else {
                showInformMessage('error', data.errormessage, 3500);
            }

        },
        error: ajaxErrorCallback
    });
}

function requestSongsOfCategorySuccess(songData, isReload, index) {
    void 0;
    var songsList = $('#songCategoryList');
    if (isReload) {
        songsList.empty();
    }
    var isKp = 'none';
    var isCollected = 'none';
    var isOnline = 'none';
    var collected = false;
    void 0;
    var htmlString = '';
    $.each(songData, function (n, value) {
        if (!value.isgrand || value.isgrand == "0") {
            isKp = 'none';
        } else {
            isKp = 'inline-block';
        }
        if (value.online && value.online != '0') {
            isOnline = 'inline-block';
        } else {
            isOnline = 'none';
        }
        collected = checkIfSongInArray(value.songid, userCollectionList);
        isCollected = collected ? 'inline-block' : 'none';

        var num = (categorySongs[index].length - songData.length + n + 1);
        var size = ( num.toString().length + 1 ) * 10;
        var li_style = 'padding-left: ' + ( num > 999 ? size : 40 ) + 'px !important';
        var num_style = 'width: ' + ( num > 999 ? size : 40 ) + 'px !important';
        var temp = '<li class="ev_li_songDetail" id="' + value.songid + '" data-collected=' + collected + ' style="' + li_style
            + '"><div class="detailSongNumber" style="' + num_style + '">' + ( num < 10 ? '0' + num : num ) + '</div><p class="detailSongName textColorWhite">'
            + value.songname + '</p><br><img class="ev_image_collection" style="display:' + isCollected
            + ';" src="./images/diange/ip_collectlogo.png"><img class="ev_image_pingfen" src ="./images/diange/ip_pingfen.png" style="display:'
            + isKp + '"><img class="ev_image_online" src="./images/diange/ip_onlinelogo.png" style="display:' + isOnline + '"><p class="detailSingerName textColorgray">'
            + value.songstername + '</P><div data-role="none" class="ev_btn_dingGe_Cover"><img src="images/diange/ip_ringhbuttonicon.png" alt="" class="img_expansion"></div></li>';
        htmlString = htmlString + temp;
    });
    songsList.append(htmlString).listview('refresh');
    var loadMoreBtn = $('#songCategoryListLoadmore');
    if (songData.length <= 0) {
        loadMoreBtn.text($.i18n.prop('songListLoadmore_noMoreSong'));
    } else {
        loadMoreBtn.text($.i18n.prop('songListLoadmore_loadMore'));
        loadMoreBtn.unbind('tap');
        loadMoreBtn.one('tap', function () {
            loadMoreBtn.text($.i18n.prop('t_loading_text'));
            loadMoreSongOfCategory();
        });
    }
}
//手机调用，获取分类歌曲
function m_requestSongsOfCategorySuccess(data) {
    if (data == null) {
        return;
    }
    void 0;
    var reload = false;
    if (data.startpos && data.startpos == '0') {
        reload = true;
    }
    if (data.errorcode == '0') {
        var currentIndex = parseInt($(".selectSongType").attr('id'));
        var requestIndex;
        $.each(songCategory, function (index, obj) {
            if (obj.languagetype == data.languagetype) {
                requestIndex = index;
                return false;
            }
        });
        void 0;
        if (requestIndex != undefined) {
            categorySongs[requestIndex] = categorySongs[requestIndex].concat(data.songid_list);
            if (requestIndex == currentIndex) {
                requestSongsOfCategorySuccess(data.songid_list, reload, requestIndex);
            }
        }
    } else {
        showInformMessage('error', data.errormessage, 3500);
    }
}
//选择歌曲分类
function selectSongCategory(index) {
    var loadMoreBtn = $('#songCategoryListLoadmore');
    loadMoreBtn.unbind('tap');
    if (categorySongs[index].length > 0) {
        requestSongsOfCategorySuccess(categorySongs[index], true, index);
    } else {
        showInformMessage('loading', $.i18n.prop('t_loading_data'), 2500);
        $('#songCategoryList').empty();
        loadMoreBtn.text('');
        requestCategorySongs(index, 0, true);
    }
}
//加载更多某类歌曲
function loadMoreSongOfCategory() {
    var index = parseInt($(".selectSongType").attr('id'));
    // console.log(typeof index);
    var startpos = categorySongs[index].length;
    requestCategorySongs(index, startpos, false);
}

var brower = {
    versions: function () {
        var u = window.navigator.userAgent;
        var num;
        if (u.indexOf('Trident') > -1) {
            //IE
            return "IE";
        } else if (u.indexOf('Presto') > -1) {
            //opera
            return "Opera";
        } else if (u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1) {
            //firefox
            return "Firefox";
        } else if (u.indexOf('AppleWebKit' && u.indexOf('Safari') > -1) > -1) {
            //苹果、谷歌内核
            if (u.indexOf('Chrome') > -1) {
                //chrome
                return "Chrome";
            } else if (u.indexOf('OPR')) {
                //webkit Opera
                return "Opera_webkit"
            } else {
                //Safari
                return "Safari";
            }
        } else if (u.indexOf('Mobile') > -1) {
            //移动端
            if (!!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
                //ios
                if (u.indexOf('iPhone') > -1) {
                    //iphone
                    return "iPhone"
                } else if (u.indexOf('iPod') > -1) {
                    //ipod
                    return "iPod"
                } else if (u.indexOf('iPad') > -1) {
                    //ipad
                    return "iPad"
                }
            } else if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) {
                //android
                num = u.substr(u.indexOf('Android') + 8, 3);
                return {
                    "type": "Android",
                    "version": num
                };
            } else if (u.indexOf('BB10') > -1) {
                //黑莓bb10系统
                return "BB10";
            } else if (u.indexOf('IEMobile')) {
                //windows phone
                return "Windows Phone"
            }
        }
    }
}

//我的设备
//获取我的设备列表
function requestUserDeviceList() {
    var userID = sessionStorage.getItem('user_id');
    // var htmlString = '';
    var htmlString = '<li class="li_device" id="addDevice"><div class="li_device_title"><p class="textColorWhite">添加新设备</p></div><p class="li_device_sn textColorgray">请扫描机顶盒中二维码添加设备</p><img src="images/diange/ip_next_page.png" alt="next" class="img_nextPage"></li>';
    var deviceList = $('#deviceList');
    deviceList.empty();
    $("#no_deviceText").hide();

    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"user_device_list","user_id":' + userID + '}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                // console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    var listHtml = ''
                    $.each(data.list, function (n, value) {
                        var temp = '<li class="li_device" id=' + value.chip_id + '><div class="li_device_title"><p class="textColorWhite">' + value.product_name + '</p><div id="device_type_CloudSongBook" class="li_device_type" style="background-color: #00bbef;">云曲库</div></div><p class="li_device_sn textColorgray">设备SN:' + value.chip_id + '</p><button class="li_device_btn textColorWhite" data-role = "none">解绑</button> </li>';
                        listHtml += temp;
                    });

                    // if (data.list.length <= 0) {
                    //     $("#no_deviceText").show();
                    // } else {
                    //     $("#no_deviceText").hide();
                    // }
                } else {
                    showInformMessage('error', data.errormessage, 3500);
                    // $("#no_deviceText").show();
                }
                htmlString = listHtml + htmlString
                deviceList.append(htmlString).listview('refresh');

                // 获取下载管理设备列表
                requestDownloadManagerDeviceList();
            },
            error: ajaxErrorCallback
        });
    } else {
        deviceList.append(htmlString).listview('refresh');
        // 获取下载管理设备列表
        // requestDownloadManagerDeviceList();
        // $("#no_deviceText").show();
    }
}

//解绑设备
function deviceListUnBind(deviceLi) {
    var userID = sessionStorage.getItem('user_id');
    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"user_unbind_device","user_id":"' + userID + '","chip_id":"' + deviceLi.attr('id') + '"}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                // console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    requestUserDeviceList();
                    // if (refresh) {
                    //     requestUserDeviceList();
                    // } else {
                    //     deviceLi.remove();
                    // }
                    // if ($('#deviceList').children('li').length <= 0) {
                    //     $("#no_deviceText").show();
                    // }
                } else {
                    showInformMessage('error', data.errormessage, 3500);
                }
            },
            error: ajaxErrorCallback
        });
    } else {
        // $("#no_deviceText").show();
    }
}

//解析sy_feature
function analyseDeviceFeature(featureValue, featureName) {
    if (!featureValue) {
        return;
    }
    featureValue = Number(featureValue);

    var featureValueBinary = featureValue.toString(2);

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 1);

    if (featureValue == '1') { //外网点歌
        sessionStorage.setItem(WAN_songOrder, '1');
    } else {
        sessionStorage.setItem(WAN_songOrder, '0');
    }

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 2);

    if (featureValue == '1') { //上传录音到多唱数据中心
        sessionStorage.setItem(DC_uploadSong, '1');
    } else {
        sessionStorage.setItem(DC_uploadSong, '0');
    }

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 3);

    if (featureValue == '1') { //是否支持服务器服务器,暂时不用,由D000返回
        sessionStorage.setItem(DC_serverSwitch, '1');
    } else {
        sessionStorage.setItem(DC_serverSwitch, '0');
    }

    // featureValue = featureValueBinary.charAt(featureValueBinary.length - 4);
    //
    // if(featureValue == '0') {//支持语种类型返回和搜索对应歌曲
    //     sessionStorage.setItem(languageCategory,'0');
    // }
    // else {
    //     sessionStorage.setItem(languageCategory,'1');
    // }

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 5);

    if (featureValue == '1') { //机顶盒是否支持遥控器
        sessionStorage.setItem(isSupportRemote, '1');
    } else {
        sessionStorage.setItem(isSupportRemote, '0');
    }

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 7);

    if (featureValue == '1') { //机顶盒是否支持开关机
        sessionStorage.setItem(isSupportShutDown, '1');
    } else {
        sessionStorage.setItem(isSupportShutDown, '0');
    }

    void 0;

    featureValue = featureValueBinary.charAt(featureValueBinary.length - 8);
    if (featureValue == "1") {//支持授权
        sessionStorage.setItem(isSupportAuth, "1");
    } else {
        sessionStorage.setItem(isSupportAuth, "0");
    }
    featureValue = featureValueBinary.charAt(featureValueBinary.length - 9);
    if (featureValue == '1') {
        sessionStorage.setItem(isSupportPhotoMV, '1');
    } else  {
        sessionStorage.setItem(isSupportPhotoMV, '0');
    }
    void 0;

}

function analyseExternalDevice(dc_externalDevice) {
    sessionStorage.setItem('smartControl', '0');
    sessionStorage.setItem('centerContrrol', '0');
    sessionStorage.setItem('soundEffect', '0');
    if (dc_externalDevice && dc_externalDevice != 'null') {
        var value = Number(dc_externalDevice);
        var valueString = dc_externalDevice.toString(2);
        value = valueString.charAt(valueString.length - 1);
        if (value == "1") {
            sessionStorage.setItem('soundEffect', '1');
        } else {
            sessionStorage.setItem('soundEffect', '0');
        }
        value = valueString.charAt(valueString.length - 2);
        if (value == "1") {
            sessionStorage.setItem('centerContrrol', '1');
        } else {
            sessionStorage.setItem('centerContrrol', '0');
        }
        value = valueString.charAt(valueString.length - 3);
        if (value == "1") {
            sessionStorage.setItem('smartControl', '1');
        } else {
            sessionStorage.setItem('smartControl', '0');
        }
    } else {

    }
}

//我的设备end
//Android 返回sy_feature
function m_setSyFeature(sy_feature) {
    void 0;
    sessionStorage.setItem('sy_feature', sy_feature);
    sessionStorage.setItem(DC_uploadSong, '0');
    sessionStorage.setItem(WAN_songOrder, '0');
    sessionStorage.setItem(DC_serverSwitch, '0');
    sessionStorage.setItem(isSupportRemote, '0');
    sessionStorage.setItem(isSupportAuth, "0");
    sessionStorage.setItem(isSupportPhotoMV, "0");
    sessionStorage.setItem(isSupportShutDown, "0");
    if (sy_feature && sy_feature != 'null') {
        analyseDeviceFeature(sy_feature);
    } else {

    }
    resetTopTabOption_control('nav_tab_remote');
    //判断是否支持遥控器
    if (sessionStorage.getItem(isSupportRemote) == '1') {
        $('#btn_shutDown').removeAttr("disabled");
        $('.nav_tab_remote').css({
            'margin-left': '0'
        });
        $('.nav_tab_control').css({
            'display': ''
        });
        $('.controlPanel1').css({
            'display': ''
        });
        $('.controlPanel2').css({
            'display': 'none'
        });
    } else {
        $('.nav_tab_remote').css({
            'margin-left': '30px'
        });
        $('.nav_tab_control').css({
            'display': 'none'
        });
        $('.controlPanel1').css({
            'display': ''
        });
        $('.controlPanel2').css({
            'display': 'none'
        });
        // 加入对sy_features中第7位描述是否可控制机顶盒开关机的判断，支持不可遥控但可以开关机的机顶盒
        if (mobile_isOfflineStb() || sessionStorage.getItem(isSupportShutDown) == '1') {
            $('#btn_shutDown').removeAttr("disabled");
        } else {
            $('#btn_shutDown').attr("disabled", 'true');
        }

        resetTopTabOption_control('nav_tab_remote');
    }
}
//android 返回 dc_ExternalDevice
function m_setExternalDevice(dc_externalDevice) {
    sessionStorage.setItem('dc_externalDevice', dc_externalDevice);
    analyseExternalDevice(dc_externalDevice);
    if (sessionStorage.getItem('soundEffect') != '1') {
        $('#op_audioEffect').attr('disabled', 'disabled');
    } else {
        $('#op_audioEffect').removeAttr('disabled');
    }
    if (sessionStorage.getItem('centerContrrol') != '1') {
        $('#op_audioEffect').attr('disabled', 'disabled');
        $('#op_light').attr('disabled', 'disabled');
    } else {
        $('#op_audioEffect').removeAttr('disabled');
        $('#op_light').removeAttr('disabled');
    }
    if (sessionStorage.getItem('smartControl') != '1') {
        $('#op_light').attr('disabled', 'disabled');
        $('#op_temperature').attr('disabled', 'disabled');
    } else {
        $('#op_light').removeAttr('disabled');
        $('#op_temperature').removeAttr('disabled');
    }
}
//android 设置语言
function m_setLanguage(language) {
    setCookie('center_language', language, 10000);
    languageChanged();
}
//android 设置国家码
function m_setCountryCode(countryCode) {
    void 0;
    sessionStorage.setItem('countrycode',countryCode);
}
//获取图库返回
function m_getLoacalPhotoSuccess(result) {
    void 0;
    setImages(result);
}
(function () {
    //显示广告
    var ads_url = getCookie("ads_url");
    if (ads_url != undefined && ads_url.length > 0) {
        var img_ads = document.getElementById('startPageAds');//$("#startPageAds");
        img_ads.setAttribute("src", ads_url);
        img_ads.onload = function () {
            $(img_ads).show();
            $('#skipAds').show();
            var time = 3;
            $('#skipAds').text("跳过 " + time + "s").on("tap", function (event) {
                $('#startPageAdsContent').hide();
                window.clearInterval(adsIntervar);
                return false;
            });
            var adsIntervar = setInterval(function () {
                time--;
                if (time < 0) {
                    $('#startPageAdsContent').hide();
                    window.clearInterval(adsIntervar);
                }
                $('#skipAds').text("跳过 " + time + "s");
            }, 1000);
        };
        setTimeout(function () {
            if (!img_ads.complete) {
                $('#startPageAdsContent').hide();
            }
        }, 1000);
    } else {
        $('#startPageAdsContent').hide();
    }
})();
//测试联通连接
// m_getWebsocketConnectInfo("a1b3c3575c6ea7a3||producttype=unicom", "dcguest4348", "3200000219216819810388");

// 获取下载管理设备列表
function requestDownloadManagerDevicesList() {
    var userID = sessionStorage.getItem('user_id');
    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"dl_app_user_bind_sns","user_id":' + userID + '}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    var deviceList = $('#downloadManagerDevicesList');
                    deviceList.empty();
                    var htmlString = "";
                    if (data.status) {
                        $.each(data.lists, function (n, value) {
                            // 机顶盒信息以'sn;name'形式存在id中
                            var temp = '<li id=' + (value.chip_id + ';' + encodeURIComponent(value.device_name)) + ' class="ev_li_userInfo" style="left:0px;' + (data.lists.length == 1 ? 'border-top: 0px;' : '') + (n == (data.lists.length - 1) ? 'border-bottom: 0px;' : '') + '"><img class="userCenterIcon" src="images/diange/ip_downloadmanager_device.png"><p class="userPageTitle textColorgray" style="display: inline-block">' + value.device_name + '</p><img src="images/diange/ip_next_page.png" alt="next" class="img_nextPage"></li>'
                            // var temp = '<li class="li_device" id=' + value.chip_id + '><p class="li_device_title textColorWhite">' + value.product_name + '</p><p class="li_device_sn textColorgray">设备SN:' + value.chip_id + '</p><button class="li_device_btn textColorWhite" data-role = "none">解绑</button> </li>';
                            htmlString = htmlString + temp;
                        });
                        deviceList.append(htmlString).listview('refresh');
                        if (data.lists.length > 0) {
                            $("#downloadManagerDevices").show();
                        } else {
                            $("#downloadManagerDevices").hide();
                        }
                    } else {
                        $("#downloadManagerDevices").hide();
                    }

                    $('#downloadManagerDevicesList li').on('tap', function (event) {
                        var id = $(event.target).attr('id') || $(event.target).parent().attr('id');
                        if (id) {
                            var info = id.split(';');
                            mobile_showDownloadManager(info[0], info[1]);
                        }
                    });
                } else {
                    // showInformMessage('error', data.errormessage, 3500);
                    $("#downloadManagerDevices").hide();
                }
            }
        });
    } else {
        $("#downloadManagerDevices").hide();
    }
}

// 获取下载管理列表
function requestDownloadManagerDeviceList() {
    var userID = sessionStorage.getItem('user_id');

    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"dl_app_user_bind_sns","user_id":' + userID + '}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                // console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    if (data.status) {
                        // deviceList.empty();
                        var deviceList = $('#deviceList');
                        var htmlString = '';
                        $.each(data.lists, function (n, value) {
                            var temp = '<li class="li_device" id=' + value.chip_id + '><div class="li_device_title"><p class="textColorWhite">' + value.device_name + '</p><div id="device_type_DownloadManager" class="li_device_type" style="background-color: #ff7704;">远程下载</div></div><p class="li_device_sn textColorgray">设备SN:' + value.chip_id + '</p><button class="li_device_btn textColorWhite" data-role = "none">解绑</button> </li>';
                            htmlString += temp;
                        });
                        deviceList.prepend(htmlString).listview('refresh');

                        // if (data.lists.length <= 0) {
                        //     $("#no_deviceText").show();
                        // } else {
                        //     $("#no_deviceText").hide();
                        // }
                    } else {
                        // showInformMessage('error', '获取设备列表失败，可能由于服务器问题', 3500);
                    }
                } else {
                    // showInformMessage('error', data.errormessage, 3500);
                    // $("#no_deviceText").show();
                }
            }
        });
    } else {
        // $("#no_deviceText").show();
    }
}

// 扫码绑定当前用户为机顶盒主账户
function bindMainAccountWithDevice(sn, userID) {
    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"dl_app_bind_user","user_id":"' + userID + '","chip_id":"' + sn + '","is_main":"1"}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    if (data.status) {
                        showInformMessage('success', '绑定成功', 3500);
                        changePage('userDevice.html', 'none');
                        requestUserDeviceList();
                    } else {
                        switch (data.code) {
                            case 0: {
                                showInformMessage('error', '绑定失败，可能由于网络问题', 3500);
                                break;
                            }
                            case 1: {
                                showInformMessage('error', '绑定失败，可能由于服务器问题', 3500);
                                break;
                            }
                            case 2: {
                                changePage('userDevice.html', 'none');
                                break;
                            }
                            case 3: {
                                showInformMessage('error', '该机顶盒已被其他用户绑定', 3500);
                                break;
                            }
                        }
                    }
                } else {
                    showInformMessage('error', data.errormessage, 3500);
                }
            },
            error: ajaxErrorCallback
        });
    } else {
        showInformMessage('error', $.i18n.prop('p_user_login_require'), 5000);
        sessionStorage.setItem('login_top_level', '');
        changePage('loginPage.html', 'none');
    }
}

// 解绑当前用户与机顶盒主账户关系
function unbindMainAccountWithDevice(deviceLi) {
    var userID = sessionStorage.getItem('user_id');
    if (userID) {
        $.ajax({
            type: "POST",
            url: sessionStorage.getItem('server_ip'),
            dataType: "json",
            data: {
                body: '{"cmdid":"dl_app_unbind_user","user_id":"' + userID + '","chip_id":"' + deviceLi.attr('id') + '"}'
            },
            beforeSend: function (request) {
                request.setRequestHeader(header_product_key, header_product_value);
                request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
            },
            success: function (data, status) {
                // console.log(JSON.stringify(data));
                if (data.errorcode == '0') {
                    if (data.status) {
                        deviceLi.remove();
                        showInformMessage('success', '解绑成功', 3500);
                    }
                } else {
                    showInformMessage('error', data.errormessage, 3500);
                }
            },
            error: ajaxErrorCallback
        });
    } else {
        // $("#no_deviceText").show();
    }
}

// 查询设备是否支持双绑定
function getDeviceSupportDoubleBind(chipId, callback) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem('server_ip'),
        dataType: "json",
        data: {
            body: '{"cmdid":"uc_check_double_bind","chipid":"' + chipId + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            // console.log(JSON.stringify(data));
            if (data.errorcode == '0') {
                callback(data.is_double == 1);
            } else {
                showInformMessage('error', data.errormessage, 3500);
                callback(false);
            }
        },
        error: ajaxErrorCallback
    });
}

// App解锁云曲库
function unlockCloudSongs(chipId, userId, callback) {
    $.ajax({
        type: "POST",
        url: sessionStorage.getItem('server_ip'),
        dataType: "json",
        data: {
            body: '{"cmdid":"uc_unlock_cloud_songs","chipid":"' + chipId + '","userid":"' + userId + '"}'
        },
        beforeSend: function (request) {
            request.setRequestHeader(header_product_key, header_product_value);
            request.setRequestHeader(header_device_sn_key, sessionStorage.getItem('stbSerialNumber'));
        },
        success: function (data, status) {
            if (data.errorcode == 0) {
                callback(true, data.errormessage)
            } else {
                callback(false, data.errormessage)
            }
        },
        error: ajaxErrorCallback
    });
}